import { SkeletonThumbnail } from "@shopify/polaris";
import { PieChart, Pie, Cell } from 'recharts';
export default function DonutChart({ isLoading, totalReviewCount, overallRating, fiveStarCount , fourStarCount, threeStarCount, twoStarCount, oneStarCount }) {

    const data = [
        { name: 1, value: oneStarCount },
        { name: 2, value: twoStarCount },
        { name: 3, value: threeStarCount },
        { name: 4, value: fourStarCount },
        { name: 5, value: fiveStarCount },
    ];
    const colors = ["#FFD966", "#FFC46F", "#FFAFA4", "#81CAFF", "#8AE08A"];

    return (
        <div className="vins-review-donut-chart" >
            {isLoading && <SkeletonThumbnail size="large" />}
            {!isLoading &&
                <>
                <PieChart width={165} height={165}>
                    <Pie
                        data={data}
                        cx={80}
                        cy={80}
                        innerRadius={40}
                        outerRadius={80}
                        dataKey="value"
                    >
                        {data.map((entry, index) => (
                            <Cell key={index} fill={colors[index % colors.length]} />
                        ))}
                    </Pie>
                </PieChart>
                <p>{overallRating} ({totalReviewCount} Reviews)</p>
                </>
            }
        </div>
    );
};
