import { SkeletonThumbnail } from "@shopify/polaris";

export default function HorizantalBarchart({ totalReviewCount, isLoading, fiveStarCount, fourStarCount, threeStarCount, twoStarCount, oneStarCount, fiveStarPercentage, fourStarPercentage, threeStarPercentage, twoStarPercentage, oneStarPercentage }) {
    return (
        <div className="vins-line-bar-rating">
            {isLoading && <SkeletonThumbnail size="large" />}
            {!isLoading &&
                <>
                    <div className="vins-line-bar">
                        <span className="vins-line-bar-star">5 ★ </span>
                        <div className="vins-line-bar-parent">
                            <div className="vins-line-bar-child" style={{ '--width': fiveStarPercentage + '%', '--color': '#8AE08A' }}>
                            </div>
                        </div>
                        <span className="vins-line-bar-review-count">{totalReviewCount>0 ? fiveStarCount:0}({fiveStarPercentage}%)</span>
                    </div>
                    <div className="vins-line-bar">
                        <span className="vins-line-bar-star">4 ★ </span>
                        <div className="vins-line-bar-parent">
                            <div className="vins-line-bar-child" style={{ '--width': fourStarPercentage + '%', '--color': '#81CAFF' }}>
                            </div>
                        </div>
                        <span className="vins-line-bar-review-count">{totalReviewCount>0 ? fourStarCount:0}({fourStarPercentage}%)</span>
                    </div>
                    <div className="vins-line-bar">
                        <span className="vins-line-bar-star">3 ★ </span>
                        <div className="vins-line-bar-parent">
                            <div className="vins-line-bar-child" style={{ '--width': threeStarPercentage + '%', '--color': '#FFAFA4' }}>
                            </div>
                        </div>
                        <span className="vins-line-bar-review-count">{totalReviewCount>0 ? threeStarCount:0}({threeStarPercentage}%)</span>
                    </div>
                    <div className="vins-line-bar">
                        <span className="vins-line-bar-star">2 ★ </span>
                        <div className="vins-line-bar-parent">
                            <div className="vins-line-bar-child" style={{ '--width': twoStarPercentage + '%', '--color': '#FFC46F' }}>
                            </div>
                        </div>
                        <span className="vins-line-bar-review-count">{totalReviewCount>0 ? twoStarCount:0}({twoStarPercentage}%)</span>
                    </div>
                    <div className="vins-line-bar">
                        <span className="vins-line-bar-star">1 ★ </span>
                        <div className="vins-line-bar-parent">
                            <div className="vins-line-bar-child" style={{ '--width': oneStarPercentage + '%', '--color': '#FFD966' }}>
                            </div>
                        </div>
                        <span className="vins-line-bar-review-count">{totalReviewCount>0 ? oneStarCount:0}({oneStarPercentage}%)</span>
                    </div>
                </>
            }
        </div>

    )
}