var _a;
import { jsx, jsxs, Fragment } from "react/jsx-runtime";
import { PassThrough } from "stream";
import { renderToPipeableStream } from "react-dom/server";
import { RemixServer, Meta, Links, Outlet, ScrollRestoration, Scripts, useLoaderData, useFetcher, Link, useActionData, Form, useLocation, useRouteError } from "@remix-run/react";
import { createReadableStreamFromReadable, json, redirect } from "@remix-run/node";
import { isbot } from "isbot";
import "@shopify/shopify-app-remix/adapters/node";
import { shopifyApp, ApiVersion, AppDistribution, DeliveryMethod, LoginErrorType, boundary } from "@shopify/shopify-app-remix/server";
import { PrismaSessionStorage } from "@shopify/shopify-app-session-storage-prisma";
import { restResources } from "@shopify/shopify-api/rest/admin/2024-04";
import { PrismaClient } from "@prisma/client";
import { XIcon, MenuIcon } from "@shopify/polaris-icons";
import { useState, useEffect } from "react";
import { SkeletonThumbnail, Icon, Divider, SkeletonBodyText, AppProvider, Page, Card, FormLayout, Text, TextField, Button } from "@shopify/polaris";
import Swal from "sweetalert2";
import { PieChart, Pie, Cell } from "recharts";
import { AppProvider as AppProvider$1 } from "@shopify/shopify-app-remix/react";
import { NavMenu } from "@shopify/app-bridge-react";
const prisma = global.prisma || new PrismaClient();
if (process.env.NODE_ENV !== "production") {
  if (!global.prisma) {
    global.prisma = new PrismaClient();
  }
}
const shopify = shopifyApp({
  apiKey: process.env.SHOPIFY_API_KEY,
  apiSecretKey: process.env.SHOPIFY_API_SECRET || "4ea098b940b5bbf584bda57b8f0315d6",
  apiVersion: ApiVersion.April24,
  scopes: (_a = process.env.SCOPES) == null ? void 0 : _a.split(","),
  appUrl: process.env.SHOPIFY_APP_URL || "http://44.217.51.253:3000",
  authPathPrefix: "/auth",
  sessionStorage: new PrismaSessionStorage(prisma),
  distribution: AppDistribution.AppStore,
  restResources,
  webhooks: {
    APP_UNINSTALLED: {
      deliveryMethod: DeliveryMethod.Http,
      callbackUrl: "/webhooks"
    }
  },
  hooks: {
    afterAuth: async ({ session }) => {
      const client = new shopify.clients.Rest(session.shop, session.accessToken);
      const shopData = await client.get({ path: "shop" });
      const storeName = shopData.body.shop.name;
      const storeId = shopData.body.shop.id.toString();
      console.log("client - ", client, "shopData - ", shopData, "storeName - ", storeName, "storeId - ", storeId);
      console.log("app Install success!!");
      shopify.registerWebhooks({ session });
    }
  },
  future: {
    unstable_newEmbeddedAuthStrategy: true
  },
  ...process.env.SHOP_CUSTOM_DOMAIN ? { customShopDomains: [process.env.SHOP_CUSTOM_DOMAIN] } : {}
});
ApiVersion.April24;
const addDocumentResponseHeaders = shopify.addDocumentResponseHeaders;
const authenticate = shopify.authenticate;
shopify.unauthenticated;
const login = shopify.login;
shopify.registerWebhooks;
shopify.sessionStorage;
const ABORT_DELAY = 5e3;
async function handleRequest(request, responseStatusCode, responseHeaders, remixContext) {
  addDocumentResponseHeaders(request, responseHeaders);
  const userAgent = request.headers.get("user-agent");
  const callbackName = isbot(userAgent ?? "") ? "onAllReady" : "onShellReady";
  return new Promise((resolve, reject) => {
    const { pipe, abort } = renderToPipeableStream(
      /* @__PURE__ */ jsx(
        RemixServer,
        {
          context: remixContext,
          url: request.url,
          abortDelay: ABORT_DELAY
        }
      ),
      {
        [callbackName]: () => {
          const body = new PassThrough();
          const stream = createReadableStreamFromReadable(body);
          responseHeaders.set("Content-Type", "text/html");
          resolve(
            new Response(stream, {
              headers: responseHeaders,
              status: responseStatusCode
            })
          );
          pipe(body);
        },
        onShellError(error) {
          reject(error);
        },
        onError(error) {
          responseStatusCode = 500;
          console.error(error);
        }
      }
    );
    setTimeout(abort, ABORT_DELAY);
  });
}
const entryServer = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: handleRequest
}, Symbol.toStringTag, { value: "Module" }));
function App$2() {
  return /* @__PURE__ */ jsxs("html", { children: [
    /* @__PURE__ */ jsxs("head", { children: [
      /* @__PURE__ */ jsx("meta", { charSet: "utf-8" }),
      /* @__PURE__ */ jsx("meta", { name: "viewport", content: "width=device-width,initial-scale=1" }),
      /* @__PURE__ */ jsx("link", { rel: "preconnect", href: "https://cdn.shopify.com/" }),
      /* @__PURE__ */ jsx(
        "link",
        {
          rel: "stylesheet",
          href: "https://cdn.shopify.com/static/fonts/inter/v4/styles.css"
        }
      ),
      /* @__PURE__ */ jsx(Meta, {}),
      /* @__PURE__ */ jsx(Links, {})
    ] }),
    /* @__PURE__ */ jsxs("body", { children: [
      /* @__PURE__ */ jsx(Outlet, {}),
      /* @__PURE__ */ jsx(ScrollRestoration, {}),
      /* @__PURE__ */ jsx(Scripts, {})
    ] })
  ] });
}
const route0 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: App$2
}, Symbol.toStringTag, { value: "Module" }));
const route1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null
}, Symbol.toStringTag, { value: "Module" }));
const reviewListingData = {
  sortByStarRatingValue: [1, 2, 3, 4, 5],
  totalPage: 0,
  sortByValues: {
    "Newest": "Newest First",
    "Oldest": "Oldest First",
    "HighToLow": "Rating: High To Low",
    "LowToHigh": "Rating: Low To High"
  },
  sortByNewest: "Newest",
  sortByRatingHighest: "HighToLow",
  sortByOldest: "Oldest",
  sortByRatingOldest: "LowToHigh",
  paginationMinimumCount: 2,
  initialPageNumber: 1,
  pageDataLimit: 8,
  numberOfPageToShow: 3,
  pageNumberListForTwoPage: [1, 2],
  tableColumnSize: 8
};
const defaultReviewData = {
  totalReviewCount: 0,
  overAllRating: 0,
  isLoadingValue: true,
  reviewCount: [20, 20, 20, 20, 20],
  reviewPercentage: [0, 0, 0, 0, 0],
  totalReviewMinimumCount: 0
};
const skeletonValues = {
  featureListLines: 5
};
const route10 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  defaultReviewData,
  reviewListingData,
  skeletonValues
}, Symbol.toStringTag, { value: "Module" }));
function extractID(id) {
  const extractedId = id.split("/");
  return extractedId[extractedId.length - 1];
}
function formatDate$1(dateTimeString) {
  const date = new Date(dateTimeString);
  return date.toISOString().split("T")[0];
}
const loader$5 = async ({ request }) => {
  const { admin } = await authenticate.admin(request);
  const getStoreId = async () => {
    const response = await admin.graphql(
      `#graphql
              query { shop { id } }`
    );
    const responseJson = await response.json();
    const storeID2 = responseJson.data.shop.id;
    return extractID(storeID2);
  };
  const fetchAllProducts = async (cursor = null) => {
    const query = `
            query GetProducts($first: Int!, $after: String) {
            products(first: $first, after: $after, query: "status:active") {
                edges {
                node {
                    id
                    title
                }
                }
                pageInfo {
                hasNextPage
                endCursor
                }
            }
            }
        `;
    const variables = { first: 250, after: cursor };
    const response = await admin.graphql(query, { variables });
    const responseJson = await response.json();
    const products = responseJson.data.products.edges.map((edge) => edge.node);
    const hasNextPage = responseJson.data.products.pageInfo.hasNextPage;
    const endCursor = responseJson.data.products.pageInfo.endCursor;
    if (hasNextPage) {
      const moreProducts = await fetchAllProducts(endCursor);
      return [...products, ...moreProducts];
    } else {
      return products;
    }
  };
  const fetchAllCustomers = async (cursor = null) => {
    const query = `
            query GetCustomers($first: Int!, $after: String) {
                customers(first: $first, after: $after) {
                    edges {
                        node {
                            id
                            firstName
                            lastName
                        }
                    }
                    pageInfo {
                        hasNextPage
                        endCursor
                    }
                }
            }
        `;
    const variables = { first: 250, after: cursor };
    const response = await admin.graphql(query, { variables });
    const responseJson = await response.json();
    const customers = responseJson.data.customers.edges.map((edge) => edge.node);
    const hasNextPage = responseJson.data.customers.pageInfo.hasNextPage;
    const endCursor = responseJson.data.customers.pageInfo.endCursor;
    if (hasNextPage) {
      const moreCustomers = await fetchAllCustomers(endCursor);
      return [...customers, ...moreCustomers];
    } else {
      return customers;
    }
  };
  const allCustomers = await fetchAllCustomers();
  const allProducts = await fetchAllProducts();
  const storeID = await getStoreId();
  return { products: allProducts, customers: allCustomers, storeID };
};
const action$3 = async ({ request }) => {
  const { admin } = await authenticate.admin(request);
  const formData = new URLSearchParams(await request.text());
  const productIds = formData.getAll("productId");
  const productsId = productIds[0].split(",");
  const updatedProductIds = [];
  for (let index2 = 0; index2 < productsId.length; index2++) {
    const element = "gid://shopify/Product/" + productsId[index2];
    updatedProductIds.push(element);
  }
  const query = `
      query GetProductTitles($ids: [ID!]!) {
        nodes(ids: $ids) {
          ... on Product {
            title
          }
        }
      }
    `;
  const response = await admin.graphql(query, {
    variables: { ids: updatedProductIds }
  });
  const responseJson = await response.json();
  return responseJson.data.nodes;
};
function Pagination({ totalPage, currentPage, handlePageClick, handleNextPage, handlePreviousPage }) {
  let pageNumberList = [];
  if (currentPage == reviewListingData.initialPageNumber && totalPage == reviewListingData.paginationMinimumCount || currentPage == totalPage && totalPage == reviewListingData.paginationMinimumCount) {
    pageNumberList = reviewListingData.pageNumberListForTwoPage;
  } else {
    let startIndex = 0, endIndex = 0;
    if (currentPage == reviewListingData.initialPageNumber && totalPage >= reviewListingData.numberOfPageToShow) {
      startIndex = currentPage;
      endIndex = reviewListingData.numberOfPageToShow;
    } else if (currentPage == totalPage) {
      startIndex = currentPage - (reviewListingData.numberOfPageToShow - 1);
      endIndex = currentPage;
    } else {
      startIndex = currentPage - 1;
      endIndex = currentPage + 1;
    }
    for (let index2 = startIndex; index2 <= endIndex; index2++) {
      pageNumberList.push(index2);
    }
  }
  return /* @__PURE__ */ jsx(Fragment, { children: /* @__PURE__ */ jsx("div", { className: "vins-pagination-container", children: /* @__PURE__ */ jsxs("ul", { className: "vins-unstylished-list vins-pagination-list", children: [
    /* @__PURE__ */ jsx("li", { className: currentPage == 1 ? "vins-pagination-icon vins-inactive-page-navigation" : "vins-pagination-icon", onClick: currentPage !== 1 ? handlePreviousPage : void 0, children: "<" }),
    pageNumberList.map((value) => /* @__PURE__ */ jsx("li", { className: value == currentPage ? "vins-active-page" : "", value, onClick: () => handlePageClick(value), children: value }, value)),
    /* @__PURE__ */ jsx("li", { className: currentPage == totalPage ? "vins-pagination-icon vins-inactive-page-navigation" : "vins-pagination-icon", onClick: currentPage !== totalPage ? handleNextPage : void 0, children: ">" })
  ] }) }) });
}
function ReviewListing() {
  const loaderData = useLoaderData();
  const allProducts = loaderData.products;
  const allCustomers = loaderData.customers;
  const storeID = loaderData.storeID;
  const [reviewData, setReviewData] = useState([]);
  const [isLoading, setIsLoading] = useState(defaultReviewData.isLoadingValue);
  const [totalPage, setTotalPage] = useState(reviewListingData.totalPage);
  const fetcher = useFetcher();
  const limit = reviewListingData.pageDataLimit;
  const [page, setPage] = useState(reviewListingData.initialPageNumber);
  const [reviewProductTitle, setReviewProductTitle] = useState([]);
  const [filterValues, setFilterValues] = useState({
    "vins-product-list-dropdown": "",
    "vins-customer-list-dropdown": "",
    "vins-star-rating-list-dropdown": "",
    "vins-sort-by-list-dropdown": "Newest"
  });
  const fetchProductDetails = (productID, totalReviewCount) => {
    if (totalReviewCount == 0) {
      setIsLoading(false);
    } else {
      fetcher.submit(
        {
          productId: productID
        },
        {
          method: "post"
        }
      );
    }
  };
  const handleFilterChange = (event) => {
    const { name, value } = event.target;
    setFilterValues((prevState) => ({
      ...prevState,
      [name]: value
    }));
    setIsLoading(true);
  };
  const handleClearAll = () => {
    setFilterValues({
      "vins-product-list-dropdown": "",
      "vins-customer-list-dropdown": "",
      "vins-star-rating-list-dropdown": "",
      "vins-sort-by-list-dropdown": "Newest"
    });
    setIsLoading(true);
  };
  const handlePageClick = (value) => {
    setPage(value);
    setIsLoading(defaultReviewData.isLoadingValue);
  };
  const handlePreviousPage = () => {
    setPage(page - 1);
    setIsLoading(defaultReviewData.isLoadingValue);
  };
  const handleNextPage = () => {
    setPage(page + 1);
    setIsLoading(defaultReviewData.isLoadingValue);
  };
  const skeletonRows = Array.from({ length: limit }, (_, rowIndex) => /* @__PURE__ */ jsx("tr", { className: "vins-review-list-skeleton-row", children: Array.from({ length: reviewListingData.tableColumnSize }, (_2, colIndex) => /* @__PURE__ */ jsx("td", { children: /* @__PURE__ */ jsx(SkeletonThumbnail, {}) }, colIndex)) }, rowIndex));
  const handleInvalidateReview = (event) => {
    const button2 = event.currentTarget;
    Swal.fire({
      title: "Are you sure?",
      text: "You won't be able to revert this review!",
      icon: "warning",
      showCancelButton: true,
      confirmButtonColor: "#3085d6",
      cancelButtonColor: "#d33",
      confirmButtonText: "Yes",
      cancelButtonText: "No"
    }).then((result) => {
      if (result.isConfirmed) {
        const myHeaders = new Headers();
        myHeaders.append("Content-Type", "application/x-www-form-urlencoded");
        const urlencoded = new URLSearchParams();
        urlencoded.append("storeId", storeID);
        urlencoded.append("call", "postInvalidateReview");
        urlencoded.append("productId", button2.dataset.productId);
        urlencoded.append("userId", button2.dataset.userId);
        const requestOptions = {
          method: "POST",
          headers: myHeaders,
          body: urlencoded,
          redirect: "follow"
        };
        fetch("https://shopifydev.vinsinfo.in/ShopifyReviewApp/admin_review_functions.php", requestOptions).then((response) => response.json()).then((result2) => {
          if (result2.status_code == 200) {
            Swal.fire({
              title: "Removed!",
              text: "Review invalidated successfully.",
              icon: "success",
              showConfirmButton: false
            });
            handleClearAll();
          }
        }).catch((error) => console.error(error));
      }
    });
  };
  const getReview = () => {
    const myHeaders = new Headers();
    myHeaders.append("Content-Type", "application/x-www-form-urlencoded");
    const urlencoded = new URLSearchParams();
    urlencoded.append("storeId", storeID);
    urlencoded.append("call", "get_review");
    urlencoded.append("limit", limit);
    urlencoded.append("page", page);
    urlencoded.append("productId", filterValues["vins-product-list-dropdown"]);
    urlencoded.append("userId", filterValues["vins-customer-list-dropdown"]);
    if (filterValues["vins-star-rating-list-dropdown"] >= 1 && filterValues["vins-star-rating-list-dropdown"] <= 5) {
      urlencoded.append("filtersByStarCount", filterValues["vins-star-rating-list-dropdown"]);
    }
    if (filterValues["vins-sort-by-list-dropdown"] === reviewListingData.sortByNewest) {
      urlencoded.append("dateSort", "1");
      urlencoded.append("dateSortOrder", "0");
    }
    if (filterValues["vins-sort-by-list-dropdown"] === reviewListingData.sortByOldest) {
      urlencoded.append("dateSort", "1");
      urlencoded.append("dateSortOrder", "1");
    }
    if (filterValues["vins-sort-by-list-dropdown"] === reviewListingData.sortByRatingHighest) {
      urlencoded.append("star_sort", "1");
      urlencoded.append("sort_by_star_asc", "0");
    }
    if (filterValues["vins-sort-by-list-dropdown"] === reviewListingData.sortByRatingOldest) {
      urlencoded.append("star_sort", "1");
      urlencoded.append("sort_by_star_asc", "1");
    }
    const requestOptions = {
      method: "POST",
      headers: myHeaders,
      body: urlencoded,
      redirect: "follow"
    };
    fetch("https://shopifydev.vinsinfo.in/ShopifyReviewApp/admin_review_functions.php", requestOptions).then((response) => response.json()).then((result) => {
      const reviewDataUpdate = [];
      const productIds = [];
      for (let index2 = 0; index2 < result.reviews.length; index2++) {
        productIds.push(result.reviews[index2].productId);
        const reviewData2 = { "customerName": result.reviews[index2].name, "rating": result.reviews[index2].starCount, "reviewHeading": result.reviews[index2].reviewTitle, "reviewContent": result.reviews[index2].reviewText, "recommended": result.reviews[index2].recommendProduct == 1 ? "Yes" : "No", "reviewedDate": formatDate$1(result.reviews[index2].date), "productID": result.reviews[index2].productId, "userID": result.reviews[index2].userId };
        reviewDataUpdate.push(reviewData2);
      }
      fetchProductDetails(productIds, result.total_reviews);
      setReviewData(reviewDataUpdate);
      setTotalPage(Math.ceil(result.total_reviews / limit));
    }).catch((error) => console.error(error));
  };
  useEffect(() => {
    getReview();
  }, [filterValues, page]);
  useEffect(() => {
    if (fetcher.data) {
      setReviewProductTitle(fetcher.data);
      setIsLoading(false);
    }
  }, [fetcher.data]);
  return /* @__PURE__ */ jsx(Fragment, { children: /* @__PURE__ */ jsxs("div", { className: "vins-review-listing", children: [
    /* @__PURE__ */ jsxs("div", { className: "vins-review-listing-headign-container", children: [
      /* @__PURE__ */ jsxs("select", { name: "vins-product-list-dropdown", id: "vins-product-list-dropdown", onChange: handleFilterChange, children: [
        /* @__PURE__ */ jsx("option", { value: "", children: "Product Name" }),
        !isLoading && /* @__PURE__ */ jsx(Fragment, { children: allProducts.map((allProduct) => /* @__PURE__ */ jsx("option", { value: extractID(allProduct.id), selected: filterValues["vins-product-list-dropdown"] === extractID(allProduct.id), children: allProduct.title }, extractID(allProduct.id))) })
      ] }),
      /* @__PURE__ */ jsxs("select", { name: "vins-customer-list-dropdown", id: "vins-customer-list-dropdown", onChange: handleFilterChange, children: [
        /* @__PURE__ */ jsx("option", { value: "", children: "Customer Name" }),
        !isLoading && /* @__PURE__ */ jsx(Fragment, { children: allCustomers.map((allCustomer) => /* @__PURE__ */ jsxs("option", { value: extractID(allCustomer.id), selected: filterValues["vins-customer-list-dropdown"] === extractID(allCustomer.id), children: [
          allCustomer.firstName,
          " ",
          allCustomer.lastName
        ] }, extractID(allCustomer.id))) })
      ] }),
      /* @__PURE__ */ jsxs("select", { name: "vins-star-rating-list-dropdown", id: "vins-star-rating-list-dropdown", onChange: handleFilterChange, children: [
        /* @__PURE__ */ jsx("option", { children: "All Ratings" }),
        reviewListingData.sortByStarRatingValue.map((rating) => /* @__PURE__ */ jsx("option", { value: rating, selected: filterValues["vins-star-rating-list-dropdown"] === rating, children: rating }, rating))
      ] }),
      /* @__PURE__ */ jsx("select", { name: "vins-sort-by-list-dropdown", id: "vins-sort-by-list-dropdown", onChange: handleFilterChange, children: Object.entries(reviewListingData.sortByValues).map(([value, label2]) => /* @__PURE__ */ jsx("option", { value, selected: filterValues["vins-sort-by-list-dropdown"] === value, children: label2 }, value)) }),
      /* @__PURE__ */ jsx("button", { onClick: handleClearAll, children: "Clear All" })
    ] }),
    /* @__PURE__ */ jsxs("div", { className: "vins-review-listing-content-container", children: [
      /* @__PURE__ */ jsxs("table", { className: "vins-review-listing-table", children: [
        /* @__PURE__ */ jsx("thead", { children: /* @__PURE__ */ jsxs("tr", { children: [
          /* @__PURE__ */ jsx("th", { className: "vins-review-list-product", children: "Product Name" }),
          /* @__PURE__ */ jsx("th", { className: "vins-review-list-customer", children: "Customer Name" }),
          /* @__PURE__ */ jsx("th", { className: "vins-review-list-star-rating", children: "Rating" }),
          /* @__PURE__ */ jsx("th", { className: "vins-review-list-star-heading", children: "Rating Heading" }),
          /* @__PURE__ */ jsx("th", { className: "vins-review-list-content", children: "Review Content" }),
          /* @__PURE__ */ jsx("th", { className: "vins-review-list-recommended", children: "Recommended" }),
          /* @__PURE__ */ jsx("th", { className: "vins-review-list-date", children: "Review Date" }),
          /* @__PURE__ */ jsx("th", { className: "vins-review-invalidate", children: "Reject Reviews" })
        ] }) }),
        /* @__PURE__ */ jsx("tbody", { children: isLoading ? skeletonRows : /* @__PURE__ */ jsx(Fragment, { children: reviewData.map((review, index2) => /* @__PURE__ */ jsxs("tr", { children: [
          /* @__PURE__ */ jsx("td", { children: reviewProductTitle[index2].title }),
          /* @__PURE__ */ jsx("td", { children: review.customerName }),
          /* @__PURE__ */ jsx("td", { className: "vins-start-rating vins-center", style: { "--rating": review.rating }, children: "☆☆☆☆☆" }),
          /* @__PURE__ */ jsx("td", { children: review.reviewHeading }),
          /* @__PURE__ */ jsx("td", { children: review.reviewContent }),
          /* @__PURE__ */ jsx("td", { className: "vins-center", children: review.recommended }),
          /* @__PURE__ */ jsx("td", { children: review.reviewedDate }),
          /* @__PURE__ */ jsx("td", { children: /* @__PURE__ */ jsx("button", { className: "vins-review-invalide-button", "data-product-id": review.productID, "data-user-id": review.userID, onClick: handleInvalidateReview, children: /* @__PURE__ */ jsx(Icon, { source: XIcon }) }) })
        ] }, index2)) }) })
      ] }),
      /* @__PURE__ */ jsxs("div", { className: "vins-pagination", children: [
        isLoading && totalPage >= reviewListingData.paginationMinimumCount && /* @__PURE__ */ jsx(SkeletonThumbnail, { className: "vins-pagination-skeleton" }),
        !isLoading && totalPage >= reviewListingData.paginationMinimumCount && /* @__PURE__ */ jsx(Pagination, { totalPage, currentPage: page, handlePageClick, handleNextPage, handlePreviousPage })
      ] })
    ] })
  ] }) });
}
const route2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  action: action$3,
  default: ReviewListing,
  loader: loader$5
}, Symbol.toStringTag, { value: "Module" }));
const route3 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null
}, Symbol.toStringTag, { value: "Module" }));
const route4 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null
}, Symbol.toStringTag, { value: "Module" }));
const route5 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null
}, Symbol.toStringTag, { value: "Module" }));
const route6 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null
}, Symbol.toStringTag, { value: "Module" }));
function DonutChart({ isLoading, totalReviewCount, overallRating, fiveStarCount, fourStarCount, threeStarCount, twoStarCount, oneStarCount }) {
  const data = [
    { name: 1, value: oneStarCount },
    { name: 2, value: twoStarCount },
    { name: 3, value: threeStarCount },
    { name: 4, value: fourStarCount },
    { name: 5, value: fiveStarCount }
  ];
  const colors = ["#FFD966", "#FFC46F", "#FFAFA4", "#81CAFF", "#8AE08A"];
  return /* @__PURE__ */ jsxs("div", { className: "vins-review-donut-chart", children: [
    isLoading && /* @__PURE__ */ jsx(SkeletonThumbnail, { size: "large" }),
    !isLoading && /* @__PURE__ */ jsxs(Fragment, { children: [
      /* @__PURE__ */ jsx(PieChart, { width: 165, height: 165, children: /* @__PURE__ */ jsx(
        Pie,
        {
          data,
          cx: 80,
          cy: 80,
          innerRadius: 40,
          outerRadius: 80,
          dataKey: "value",
          children: data.map((entry2, index2) => /* @__PURE__ */ jsx(Cell, { fill: colors[index2 % colors.length] }, index2))
        }
      ) }),
      /* @__PURE__ */ jsxs("p", { children: [
        overallRating,
        " (",
        totalReviewCount,
        " Reviews)"
      ] })
    ] })
  ] });
}
function ScoreIndicator({ overallRating, isloading }) {
  const RADIAN = Math.PI / 180;
  const data = [
    { value: 20, color: "#FFD966" },
    { value: 20, color: "#FFC46F" },
    { value: 20, color: "#FFAFA4" },
    { value: 20, color: "#81CAFF" },
    { value: 20, color: "#8AE08A" }
  ];
  const cx = 96;
  const cy = 120;
  const iR = 60;
  const oR = 100;
  const value = parseFloat(overallRating.toString().replace(/\./g, "")) * 2;
  const needle = (value2, data2, cx2, cy2, iR2, oR2, color) => {
    let total = 0;
    data2.forEach((v) => {
      total += v.value;
    });
    const ang = 180 * (1 - value2 / total);
    const length = 55;
    const sin = Math.sin(-RADIAN * ang);
    const cos = Math.cos(-RADIAN * ang);
    const r = 4;
    const x0 = cx2 + 4;
    const y0 = cy2 + 4;
    const xba = x0 + r * sin;
    const yba = y0 - r * cos;
    const xbb = x0 - r * sin;
    const ybb = y0 + r * cos;
    const xp = x0 + length * cos;
    const yp = y0 + length * sin;
    return [
      /* @__PURE__ */ jsx("circle", { cx: x0, cy: y0, r, fill: color, stroke: "none" }),
      /* @__PURE__ */ jsx("path", { d: `M${xba} ${yba}L${xbb} ${ybb} L${xp} ${yp} L${xba} ${yba}`, stroke: "#none", fill: color })
    ];
  };
  return /* @__PURE__ */ jsx("div", { className: "vins-image-with-text-Icon", children: /* @__PURE__ */ jsxs(Fragment, { children: [
    isloading && /* @__PURE__ */ jsx(SkeletonThumbnail, { size: "large" }),
    !isloading && /* @__PURE__ */ jsxs(Fragment, { children: [
      /* @__PURE__ */ jsxs(PieChart, { width: 203, height: 130, children: [
        /* @__PURE__ */ jsx(
          Pie,
          {
            dataKey: "value",
            startAngle: 180,
            endAngle: 0,
            data,
            cx,
            cy,
            innerRadius: iR,
            outerRadius: oR,
            fill: "#8884d8",
            stroke: "none",
            children: data.map((entry2, index2) => /* @__PURE__ */ jsx(Cell, { fill: entry2.color }, `cell-${index2}`))
          }
        ),
        needle(value, data, cx, cy, iR, oR, "#8D9BA7")
      ] }),
      /* @__PURE__ */ jsxs("h4", { className: "vins-sub-heading", children: [
        overallRating,
        " ☆ "
      ] }),
      /* @__PURE__ */ jsx("p", { children: "Average rating" })
    ] })
  ] }) });
}
function HorizantalBarchart({ totalReviewCount, isLoading, fiveStarCount, fourStarCount, threeStarCount, twoStarCount, oneStarCount, fiveStarPercentage, fourStarPercentage, threeStarPercentage, twoStarPercentage, oneStarPercentage }) {
  return /* @__PURE__ */ jsxs("div", { className: "vins-line-bar-rating", children: [
    isLoading && /* @__PURE__ */ jsx(SkeletonThumbnail, { size: "large" }),
    !isLoading && /* @__PURE__ */ jsxs(Fragment, { children: [
      /* @__PURE__ */ jsxs("div", { className: "vins-line-bar", children: [
        /* @__PURE__ */ jsx("span", { className: "vins-line-bar-star", children: "5 ★ " }),
        /* @__PURE__ */ jsx("div", { className: "vins-line-bar-parent", children: /* @__PURE__ */ jsx("div", { className: "vins-line-bar-child", style: { "--width": fiveStarPercentage + "%", "--color": "#8AE08A" } }) }),
        /* @__PURE__ */ jsxs("span", { className: "vins-line-bar-review-count", children: [
          totalReviewCount > 0 ? fiveStarCount : 0,
          "(",
          fiveStarPercentage,
          "%)"
        ] })
      ] }),
      /* @__PURE__ */ jsxs("div", { className: "vins-line-bar", children: [
        /* @__PURE__ */ jsx("span", { className: "vins-line-bar-star", children: "4 ★ " }),
        /* @__PURE__ */ jsx("div", { className: "vins-line-bar-parent", children: /* @__PURE__ */ jsx("div", { className: "vins-line-bar-child", style: { "--width": fourStarPercentage + "%", "--color": "#81CAFF" } }) }),
        /* @__PURE__ */ jsxs("span", { className: "vins-line-bar-review-count", children: [
          totalReviewCount > 0 ? fourStarCount : 0,
          "(",
          fourStarPercentage,
          "%)"
        ] })
      ] }),
      /* @__PURE__ */ jsxs("div", { className: "vins-line-bar", children: [
        /* @__PURE__ */ jsx("span", { className: "vins-line-bar-star", children: "3 ★ " }),
        /* @__PURE__ */ jsx("div", { className: "vins-line-bar-parent", children: /* @__PURE__ */ jsx("div", { className: "vins-line-bar-child", style: { "--width": threeStarPercentage + "%", "--color": "#FFAFA4" } }) }),
        /* @__PURE__ */ jsxs("span", { className: "vins-line-bar-review-count", children: [
          totalReviewCount > 0 ? threeStarCount : 0,
          "(",
          threeStarPercentage,
          "%)"
        ] })
      ] }),
      /* @__PURE__ */ jsxs("div", { className: "vins-line-bar", children: [
        /* @__PURE__ */ jsx("span", { className: "vins-line-bar-star", children: "2 ★ " }),
        /* @__PURE__ */ jsx("div", { className: "vins-line-bar-parent", children: /* @__PURE__ */ jsx("div", { className: "vins-line-bar-child", style: { "--width": twoStarPercentage + "%", "--color": "#FFC46F" } }) }),
        /* @__PURE__ */ jsxs("span", { className: "vins-line-bar-review-count", children: [
          totalReviewCount > 0 ? twoStarCount : 0,
          "(",
          twoStarPercentage,
          "%)"
        ] })
      ] }),
      /* @__PURE__ */ jsxs("div", { className: "vins-line-bar", children: [
        /* @__PURE__ */ jsx("span", { className: "vins-line-bar-star", children: "1 ★ " }),
        /* @__PURE__ */ jsx("div", { className: "vins-line-bar-parent", children: /* @__PURE__ */ jsx("div", { className: "vins-line-bar-child", style: { "--width": oneStarPercentage + "%", "--color": "#FFD966" } }) }),
        /* @__PURE__ */ jsxs("span", { className: "vins-line-bar-review-count", children: [
          totalReviewCount > 0 ? oneStarCount : 0,
          "(",
          oneStarPercentage,
          "%)"
        ] })
      ] })
    ] })
  ] });
}
const totalReviewImage = "/assets/image-total-reviews-C3XkJ0V9.png";
const viewAllImage = "/assets/image-view-all-reviews-CyO3EnCZ.png";
const feautureListIcon = "/assets/icon-features-list-PgaBU5T1.png";
const colorSchemeIcon = "/assets/icon-color-scheme-gjhVZDfJ.png";
const viewByProductIcon = "/assets/icon-view-products-Dd1m6JYA.png";
const viewByCustomerIcon = "/assets/icon-view-customers-C6aldwTb.png";
const filterByStarRating = "/assets/icon-filter-rating-wHKSa4Iu.png";
const highestRatingIcon = "/assets/icon-higher-rating-D_G0BVxm.png";
const lowerRatingIcon = "/assets/icon-lower-rating-BPQ1pU6I.png";
const newestReviewIcon = "/assets/icon-latest-review-B7pfUXtQ.png";
const oldestReviewIcon = "/assets/icon-oldest-review-uLc_iaY0.png";
const recentReviwsIcon = "/assets/icon-recent-reviews-DfV23zaQ.png";
const shareIcon = "/assets/icon-share-BCy-uZGw.png";
const filterByDateIcon = "/assets/icon-filter-by-date-0UXKJC-_.png";
const loader$4 = async ({ request }) => {
  const { admin } = await authenticate.admin(request);
  const response = await admin.graphql(
    `#graphql
      query { shop { id } }`
  );
  const responseJson = await response.json();
  const storeID = responseJson.data.shop.id.split("/");
  return storeID[storeID.length - 1];
};
const action$2 = async ({ request }) => {
  const { admin } = await authenticate.admin(request);
  const formData = new URLSearchParams(await request.text());
  const productIds = formData.getAll("productId");
  const productsId = productIds[0].split(",");
  const updatedProductIds = [];
  for (let index2 = 0; index2 < productsId.length; index2++) {
    const element = "gid://shopify/Product/" + productsId[index2];
    updatedProductIds.push(element);
  }
  const query = `
    query GetProductTitles($ids: [ID!]!) {
      nodes(ids: $ids) {
        ... on Product {
          title
        }
      }
    }
  `;
  const response = await admin.graphql(query, {
    variables: { ids: updatedProductIds }
  });
  const responseJson = await response.json();
  return responseJson.data.nodes;
};
function formatDate(dateTimeString) {
  const date = new Date(dateTimeString);
  return date.toISOString().split("T")[0];
}
function ReviewCard({ reviewerName, starRating, reviewContent, productTitle, reviewTitle, date }) {
  return /* @__PURE__ */ jsxs("div", { className: "vins-review-card", children: [
    /* @__PURE__ */ jsx("div", { className: "vins-reviewer-profile", children: /* @__PURE__ */ jsxs("svg", { version: "1.1", xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 600 600", width: "40", height: "40", fill: "#8D99B6", class: "vins-anonymous-user-icon", children: [
      /* @__PURE__ */ jsx("defs", { children: /* @__PURE__ */ jsx("clipPath", { id: "circular-border-0.1046138034132238", children: /* @__PURE__ */ jsx("circle", { cx: "300", cy: "300", r: "250" }) }) }),
      /* @__PURE__ */ jsx("circle", { cx: "300", cy: "300", r: "280", fill: "#CCD2E1" }),
      /* @__PURE__ */ jsx("circle", { cx: "300", cy: "230", r: "100" }),
      /* @__PURE__ */ jsx("circle", { cx: "300", cy: "550", r: "190", "clip-path": "url(#circular-border-0.1046138034132238)" })
    ] }) }),
    /* @__PURE__ */ jsxs("div", { className: "vins-review-content", children: [
      /* @__PURE__ */ jsx("p", { children: reviewerName }),
      /* @__PURE__ */ jsx("p", { className: "vins-review-product-title", children: productTitle }),
      /* @__PURE__ */ jsx("p", { className: "vins-start-rating ", style: { "--rating": starRating }, children: "☆☆☆☆☆" }),
      /* @__PURE__ */ jsx("p", { children: reviewTitle }),
      /* @__PURE__ */ jsx("p", { children: reviewContent }),
      /* @__PURE__ */ jsx("p", { className: "vins-review-date", children: date })
    ] })
  ] });
}
function Index() {
  const fetcher = useFetcher();
  const [totalReviewCount, setTotalReviewCount] = useState(defaultReviewData.totalReviewCount);
  const [overallRating, setOverallRating] = useState(defaultReviewData.overAllRating);
  const [reviewsCount, setReviewsCount] = useState(defaultReviewData.reviewCount);
  const [reviewsPercentage, setReviewsPercentage] = useState(defaultReviewData.reviewPercentage);
  const [isLoading, setIsLoading] = useState(defaultReviewData.isLoadingValue);
  const [reviewsData, setReviewsData] = useState([]);
  const [reviewProductTitle, setReviewProductTitle] = useState([]);
  const storeID = useLoaderData();
  const getStoreStatistics = () => {
    const myHeaders = new Headers();
    myHeaders.append("Content-Type", "application/x-www-form-urlencoded");
    const urlencoded = new URLSearchParams();
    urlencoded.append("storeId", storeID);
    urlencoded.append("call", "getStoreStatistics");
    const requestOptions = {
      method: "POST",
      headers: myHeaders,
      body: urlencoded,
      redirect: "follow"
    };
    fetch("https://shopifydev.vinsinfo.in/ShopifyReviewApp/admin_review_functions.php", requestOptions).then((response) => response.json()).then((result) => {
      setOverallRating(result.averageRating);
      setTotalReviewCount(result.totalReviews);
      if (result.totalReviews > defaultReviewData.totalReviewMinimumCount) {
        const updateReviewCount = [], updateReviewPercentage = [];
        for (let index2 = 1; index2 < 6; index2++) {
          updateReviewCount.push(result.ratingsBreakdown[index2].count);
          updateReviewPercentage.push(result.ratingsBreakdown[index2].percentage);
        }
        setReviewsPercentage(updateReviewPercentage);
        setReviewsCount(updateReviewCount);
      }
    }).catch((error) => console.error(error));
  };
  const fetchProductDetails = (productID, totalReviewCount2) => {
    if (totalReviewCount2 == defaultReviewData.totalReviewCount) {
      setIsLoading(false);
    } else {
      fetcher.submit(
        {
          productId: productID
        },
        {
          method: "post"
        }
      );
    }
  };
  const getRecentReviews = () => {
    const myHeaders = new Headers();
    myHeaders.append("Content-Type", "application/x-www-form-urlencoded");
    const urlencoded = new URLSearchParams();
    urlencoded.append("storeId", storeID);
    urlencoded.append("call", "getReviewsByStoreId");
    urlencoded.append("limit", "3");
    urlencoded.append("date_sort", "1");
    urlencoded.append("sort_by_date_asc", "0");
    const requestOptions = {
      method: "POST",
      headers: myHeaders,
      body: urlencoded,
      redirect: "follow"
    };
    fetch("https://shopifydev.vinsinfo.in/ShopifyReviewApp/admin_review_functions.php", requestOptions).then((response) => response.json()).then((result) => {
      const reviewDataUpdate = [];
      const productIds = [];
      for (let index2 = 0; index2 < result.reviews.length; index2++) {
        productIds.push(result.reviews[index2].productId);
        const reviewData = { "date": formatDate(result.reviews[index2].date), "Name": result.reviews[index2].name, "starRating": result.reviews[index2].starCount, "description": result.reviews[index2].reviewText, "reviewTitle": result.reviews[index2].reviewTitle };
        reviewDataUpdate.push(reviewData);
      }
      fetchProductDetails(productIds, result.total_reviews);
      setReviewsData(reviewDataUpdate);
    }).catch((error) => console.error(error));
  };
  useEffect(() => {
    getStoreStatistics();
    getRecentReviews();
  }, []);
  useEffect(() => {
    if (fetcher.data) {
      setReviewProductTitle(fetcher.data);
      setIsLoading(false);
    }
  }, [fetcher.data]);
  return /* @__PURE__ */ jsx(Fragment, { children: /* @__PURE__ */ jsxs("div", { className: "vins-dashboard", children: [
    /* @__PURE__ */ jsxs("div", { className: "vins-review-rating-container vins-common-padding", children: [
      /* @__PURE__ */ jsxs("div", { className: "vins-review-rating", children: [
        /* @__PURE__ */ jsx(
          DonutChart,
          {
            totalReviewCount,
            overallRating,
            fiveStarCount: reviewsCount[4],
            fourStarCount: reviewsCount[3],
            threeStarCount: reviewsCount[2],
            twoStarCount: reviewsCount[1],
            oneStarCount: reviewsCount[0],
            isLoading
          }
        ),
        /* @__PURE__ */ jsx(
          HorizantalBarchart,
          {
            fiveStarCount: reviewsCount[4],
            fourStarCount: reviewsCount[3],
            threeStarCount: reviewsCount[2],
            twoStarCount: reviewsCount[1],
            oneStarCount: reviewsCount[0],
            fiveStarPercentage: reviewsPercentage[4],
            fourStarPercentage: reviewsPercentage[3],
            threeStarPercentage: reviewsPercentage[2],
            twoStarPercentage: reviewsPercentage[1],
            oneStarPercentage: reviewsPercentage[0],
            isLoading,
            totalReviewCount
          }
        )
      ] }),
      /* @__PURE__ */ jsx("p", { children: "AVERAGE RATING AND BREAKDOWN" })
    ] }),
    /* @__PURE__ */ jsx(Divider, { borderColor: "border" }),
    /* @__PURE__ */ jsxs("div", { className: "vins-image-with-text-container vins-common-padding", children: [
      /* @__PURE__ */ jsxs("div", { className: "vins-image-with-text-Icon", children: [
        isLoading && /* @__PURE__ */ jsx(SkeletonThumbnail, {}),
        !isLoading && /* @__PURE__ */ jsxs(Fragment, { children: [
          /* @__PURE__ */ jsx("img", { className: "vins-icon", src: totalReviewImage, alt: "Icon", title: "Total reviews" }),
          /* @__PURE__ */ jsx("h4", { className: "vins-sub-heading", children: totalReviewCount }),
          /* @__PURE__ */ jsx("p", { children: "Total Reviews Collected" })
        ] })
      ] }),
      /* @__PURE__ */ jsx(
        ScoreIndicator,
        {
          overallRating,
          isloading: isLoading
        }
      ),
      /* @__PURE__ */ jsxs("div", { className: "vins-image-with-text-Icon", children: [
        isLoading && /* @__PURE__ */ jsx(SkeletonThumbnail, {}),
        !isLoading && /* @__PURE__ */ jsxs(Fragment, { children: [
          /* @__PURE__ */ jsx("img", { className: "vins-icon", src: viewAllImage, alt: "Icon", title: "View all reviews" }),
          /* @__PURE__ */ jsx(Link, { to: "/app/review_listing", children: "View all reviews" })
        ] })
      ] })
    ] }),
    /* @__PURE__ */ jsx(Divider, { borderColor: "border" }),
    /* @__PURE__ */ jsxs("div", { className: "vins-review-features-container vins-common-padding", children: [
      /* @__PURE__ */ jsxs("div", { className: "vins-dashboard-item-heading", children: [
        /* @__PURE__ */ jsx("div", { className: "vins-dashboard-item-heading-media", children: /* @__PURE__ */ jsx("img", { src: feautureListIcon, alt: "Icon", title: "Features list" }) }),
        /* @__PURE__ */ jsxs("div", { className: "vins-dashboard-item-heading-content", children: [
          /* @__PURE__ */ jsx("h2", { className: "vins-sub-heading", children: "VINSINFO STAR RATING FEATURES" }),
          /* @__PURE__ */ jsx("p", { children: "Below are the features in our review app" })
        ] })
      ] }),
      /* @__PURE__ */ jsxs("div", { className: "vins-review-features-list", children: [
        isLoading && /* @__PURE__ */ jsx(SkeletonBodyText, { lines: skeletonValues.featureListLines }),
        !isLoading && /* @__PURE__ */ jsxs(Fragment, { children: [
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: colorSchemeIcon, alt: "Icon", title: "Customize color scheme" }),
            /* @__PURE__ */ jsx("span", { children: "Customize Color Schemes" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: viewByProductIcon, alt: "Icon", title: "View by Products" }),
            /* @__PURE__ */ jsx("span", { children: "View by Products" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: viewByCustomerIcon, alt: "Icon", title: "View by Customer" }),
            /* @__PURE__ */ jsx("span", { children: "View by Customer" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: filterByStarRating, alt: "Icon", title: "Filter by Star Rating" }),
            /* @__PURE__ */ jsx("span", { children: "Filter by Star Rating" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: newestReviewIcon, alt: "Icon", title: "View by Latest Review" }),
            /* @__PURE__ */ jsx("span", { children: "View by Latest Review" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: oldestReviewIcon, alt: "Icon", title: "View by Oldest Review" }),
            /* @__PURE__ */ jsx("span", { children: "View by Oldest Review" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: highestRatingIcon, alt: "Icon", title: "View by Higher Rating" }),
            /* @__PURE__ */ jsx("span", { children: "View by Higher Rating" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: lowerRatingIcon, alt: "Icon", title: "View by Lower Rating" }),
            /* @__PURE__ */ jsx("span", { children: "View by Lower Rating" })
          ] }) }),
          /* @__PURE__ */ jsx("div", { className: "vins-review-features", children: /* @__PURE__ */ jsxs(Link, { to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "featureIcon", src: filterByDateIcon, alt: "Icon", title: "Filter by Date" }),
            /* @__PURE__ */ jsx("span", { children: "Filter by Date" })
          ] }) })
        ] })
      ] })
    ] }),
    /* @__PURE__ */ jsx(Divider, { borderColor: "border" }),
    /* @__PURE__ */ jsxs("div", { className: "vine-recent-review vins-common-padding", children: [
      /* @__PURE__ */ jsxs("div", { className: "vins-dashboard-item-heading", children: [
        /* @__PURE__ */ jsx("div", { className: "vins-dashboard-item-heading-media", children: /* @__PURE__ */ jsx("img", { src: recentReviwsIcon, alt: "Icon", title: "Recent Reviews" }) }),
        /* @__PURE__ */ jsxs("div", { className: "vins-dashboard-item-heading-content", children: [
          /* @__PURE__ */ jsx("h2", { className: "vins-sub-heading", children: "RECENT REVIEWS" }),
          /* @__PURE__ */ jsx("p", { children: "Below are the recent reviews from our store" })
        ] })
      ] }),
      /* @__PURE__ */ jsxs("div", { className: "vins-recent-review-list", children: [
        isLoading && totalReviewCount == defaultReviewData.totalReviewCount && /* @__PURE__ */ jsx(SkeletonBodyText, {}),
        !isLoading && totalReviewCount == defaultReviewData.totalReviewCount && /* @__PURE__ */ jsx("p", { className: "vins-center", children: "No Recent Reviews" }),
        totalReviewCount > 0 && /* @__PURE__ */ jsx(Fragment, { children: reviewsData.map((review, index2) => /* @__PURE__ */ jsxs("div", { className: index2 % 2 === 0 ? "vins-review-odd" : "vins-review-even", children: [
          isLoading && /* @__PURE__ */ jsx(SkeletonBodyText, {}),
          !isLoading && /* @__PURE__ */ jsxs(Fragment, { children: [
            /* @__PURE__ */ jsx(ReviewCard, { reviewContent: review.description, reviewTitle: review.reviewTitle, productTitle: reviewProductTitle[index2].title, reviewerName: review.Name, starRating: review.starRating, date: review.date }),
            /* @__PURE__ */ jsx(Link, { to: "/app/review_listing", children: /* @__PURE__ */ jsx("img", { className: "vins-share-icon", src: shareIcon, alt: "Share Icon", title: "Share" }) })
          ] })
        ] }, review.reviewTitle)) })
      ] })
    ] })
  ] }) });
}
const route7 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  action: action$2,
  default: Index,
  loader: loader$4
}, Symbol.toStringTag, { value: "Module" }));
const Polaris = {
  ActionMenu: {
    Actions: {
      moreActions: "More actions"
    },
    RollupActions: {
      rollupButton: "View actions"
    }
  },
  ActionList: {
    SearchField: {
      clearButtonLabel: "Clear",
      search: "Search",
      placeholder: "Search actions"
    }
  },
  Avatar: {
    label: "Avatar",
    labelWithInitials: "Avatar with initials {initials}"
  },
  Autocomplete: {
    spinnerAccessibilityLabel: "Loading",
    ellipsis: "{content}…"
  },
  Badge: {
    PROGRESS_LABELS: {
      incomplete: "Incomplete",
      partiallyComplete: "Partially complete",
      complete: "Complete"
    },
    TONE_LABELS: {
      info: "Info",
      success: "Success",
      warning: "Warning",
      critical: "Critical",
      attention: "Attention",
      "new": "New",
      readOnly: "Read-only",
      enabled: "Enabled"
    },
    progressAndTone: "{toneLabel} {progressLabel}"
  },
  Banner: {
    dismissButton: "Dismiss notification"
  },
  Button: {
    spinnerAccessibilityLabel: "Loading"
  },
  Common: {
    checkbox: "checkbox",
    undo: "Undo",
    cancel: "Cancel",
    clear: "Clear",
    close: "Close",
    submit: "Submit",
    more: "More"
  },
  ContextualSaveBar: {
    save: "Save",
    discard: "Discard"
  },
  DataTable: {
    sortAccessibilityLabel: "sort {direction} by",
    navAccessibilityLabel: "Scroll table {direction} one column",
    totalsRowHeading: "Totals",
    totalRowHeading: "Total"
  },
  DatePicker: {
    previousMonth: "Show previous month, {previousMonthName} {showPreviousYear}",
    nextMonth: "Show next month, {nextMonth} {nextYear}",
    today: "Today ",
    start: "Start of range",
    end: "End of range",
    months: {
      january: "January",
      february: "February",
      march: "March",
      april: "April",
      may: "May",
      june: "June",
      july: "July",
      august: "August",
      september: "September",
      october: "October",
      november: "November",
      december: "December"
    },
    days: {
      monday: "Monday",
      tuesday: "Tuesday",
      wednesday: "Wednesday",
      thursday: "Thursday",
      friday: "Friday",
      saturday: "Saturday",
      sunday: "Sunday"
    },
    daysAbbreviated: {
      monday: "Mo",
      tuesday: "Tu",
      wednesday: "We",
      thursday: "Th",
      friday: "Fr",
      saturday: "Sa",
      sunday: "Su"
    }
  },
  DiscardConfirmationModal: {
    title: "Discard all unsaved changes",
    message: "If you discard changes, you’ll delete any edits you made since you last saved.",
    primaryAction: "Discard changes",
    secondaryAction: "Continue editing"
  },
  DropZone: {
    single: {
      overlayTextFile: "Drop file to upload",
      overlayTextImage: "Drop image to upload",
      overlayTextVideo: "Drop video to upload",
      actionTitleFile: "Add file",
      actionTitleImage: "Add image",
      actionTitleVideo: "Add video",
      actionHintFile: "or drop file to upload",
      actionHintImage: "or drop image to upload",
      actionHintVideo: "or drop video to upload",
      labelFile: "Upload file",
      labelImage: "Upload image",
      labelVideo: "Upload video"
    },
    allowMultiple: {
      overlayTextFile: "Drop files to upload",
      overlayTextImage: "Drop images to upload",
      overlayTextVideo: "Drop videos to upload",
      actionTitleFile: "Add files",
      actionTitleImage: "Add images",
      actionTitleVideo: "Add videos",
      actionHintFile: "or drop files to upload",
      actionHintImage: "or drop images to upload",
      actionHintVideo: "or drop videos to upload",
      labelFile: "Upload files",
      labelImage: "Upload images",
      labelVideo: "Upload videos"
    },
    errorOverlayTextFile: "File type is not valid",
    errorOverlayTextImage: "Image type is not valid",
    errorOverlayTextVideo: "Video type is not valid"
  },
  EmptySearchResult: {
    altText: "Empty search results"
  },
  Frame: {
    skipToContent: "Skip to content",
    navigationLabel: "Navigation",
    Navigation: {
      closeMobileNavigationLabel: "Close navigation"
    }
  },
  FullscreenBar: {
    back: "Back",
    accessibilityLabel: "Exit fullscreen mode"
  },
  Filters: {
    moreFilters: "More filters",
    moreFiltersWithCount: "More filters ({count})",
    filter: "Filter {resourceName}",
    noFiltersApplied: "No filters applied",
    cancel: "Cancel",
    done: "Done",
    clearAllFilters: "Clear all filters",
    clear: "Clear",
    clearLabel: "Clear {filterName}",
    addFilter: "Add filter",
    clearFilters: "Clear all",
    searchInView: "in:{viewName}"
  },
  FilterPill: {
    clear: "Clear",
    unsavedChanges: "Unsaved changes - {label}"
  },
  IndexFilters: {
    searchFilterTooltip: "Search and filter",
    searchFilterTooltipWithShortcut: "Search and filter (F)",
    searchFilterAccessibilityLabel: "Search and filter results",
    sort: "Sort your results",
    addView: "Add a new view",
    newView: "Custom search",
    SortButton: {
      ariaLabel: "Sort the results",
      tooltip: "Sort",
      title: "Sort by",
      sorting: {
        asc: "Ascending",
        desc: "Descending",
        az: "A-Z",
        za: "Z-A"
      }
    },
    EditColumnsButton: {
      tooltip: "Edit columns",
      accessibilityLabel: "Customize table column order and visibility"
    },
    UpdateButtons: {
      cancel: "Cancel",
      update: "Update",
      save: "Save",
      saveAs: "Save as",
      modal: {
        title: "Save view as",
        label: "Name",
        sameName: "A view with this name already exists. Please choose a different name.",
        save: "Save",
        cancel: "Cancel"
      }
    }
  },
  IndexProvider: {
    defaultItemSingular: "Item",
    defaultItemPlural: "Items",
    allItemsSelected: "All {itemsLength}+ {resourceNamePlural} are selected",
    selected: "{selectedItemsCount} selected",
    a11yCheckboxDeselectAllSingle: "Deselect {resourceNameSingular}",
    a11yCheckboxSelectAllSingle: "Select {resourceNameSingular}",
    a11yCheckboxDeselectAllMultiple: "Deselect all {itemsLength} {resourceNamePlural}",
    a11yCheckboxSelectAllMultiple: "Select all {itemsLength} {resourceNamePlural}"
  },
  IndexTable: {
    emptySearchTitle: "No {resourceNamePlural} found",
    emptySearchDescription: "Try changing the filters or search term",
    onboardingBadgeText: "New",
    resourceLoadingAccessibilityLabel: "Loading {resourceNamePlural}…",
    selectAllLabel: "Select all {resourceNamePlural}",
    selected: "{selectedItemsCount} selected",
    undo: "Undo",
    selectAllItems: "Select all {itemsLength}+ {resourceNamePlural}",
    selectItem: "Select {resourceName}",
    selectButtonText: "Select",
    sortAccessibilityLabel: "sort {direction} by"
  },
  Loading: {
    label: "Page loading bar"
  },
  Modal: {
    iFrameTitle: "body markup",
    modalWarning: "These required properties are missing from Modal: {missingProps}"
  },
  Page: {
    Header: {
      rollupActionsLabel: "View actions for {title}",
      pageReadyAccessibilityLabel: "{title}. This page is ready"
    }
  },
  Pagination: {
    previous: "Previous",
    next: "Next",
    pagination: "Pagination"
  },
  ProgressBar: {
    negativeWarningMessage: "Values passed to the progress prop shouldn’t be negative. Resetting {progress} to 0.",
    exceedWarningMessage: "Values passed to the progress prop shouldn’t exceed 100. Setting {progress} to 100."
  },
  ResourceList: {
    sortingLabel: "Sort by",
    defaultItemSingular: "item",
    defaultItemPlural: "items",
    showing: "Showing {itemsCount} {resource}",
    showingTotalCount: "Showing {itemsCount} of {totalItemsCount} {resource}",
    loading: "Loading {resource}",
    selected: "{selectedItemsCount} selected",
    allItemsSelected: "All {itemsLength}+ {resourceNamePlural} in your store are selected",
    allFilteredItemsSelected: "All {itemsLength}+ {resourceNamePlural} in this filter are selected",
    selectAllItems: "Select all {itemsLength}+ {resourceNamePlural} in your store",
    selectAllFilteredItems: "Select all {itemsLength}+ {resourceNamePlural} in this filter",
    emptySearchResultTitle: "No {resourceNamePlural} found",
    emptySearchResultDescription: "Try changing the filters or search term",
    selectButtonText: "Select",
    a11yCheckboxDeselectAllSingle: "Deselect {resourceNameSingular}",
    a11yCheckboxSelectAllSingle: "Select {resourceNameSingular}",
    a11yCheckboxDeselectAllMultiple: "Deselect all {itemsLength} {resourceNamePlural}",
    a11yCheckboxSelectAllMultiple: "Select all {itemsLength} {resourceNamePlural}",
    Item: {
      actionsDropdownLabel: "Actions for {accessibilityLabel}",
      actionsDropdown: "Actions dropdown",
      viewItem: "View details for {itemName}"
    },
    BulkActions: {
      actionsActivatorLabel: "Actions",
      moreActionsActivatorLabel: "More actions"
    }
  },
  SkeletonPage: {
    loadingLabel: "Page loading"
  },
  Tabs: {
    newViewAccessibilityLabel: "Create new view",
    newViewTooltip: "Create view",
    toggleTabsLabel: "More views",
    Tab: {
      rename: "Rename view",
      duplicate: "Duplicate view",
      edit: "Edit view",
      editColumns: "Edit columns",
      "delete": "Delete view",
      copy: "Copy of {name}",
      deleteModal: {
        title: "Delete view?",
        description: "This can’t be undone. {viewName} view will no longer be available in your admin.",
        cancel: "Cancel",
        "delete": "Delete view"
      }
    },
    RenameModal: {
      title: "Rename view",
      label: "Name",
      cancel: "Cancel",
      create: "Save",
      errors: {
        sameName: "A view with this name already exists. Please choose a different name."
      }
    },
    DuplicateModal: {
      title: "Duplicate view",
      label: "Name",
      cancel: "Cancel",
      create: "Create view",
      errors: {
        sameName: "A view with this name already exists. Please choose a different name."
      }
    },
    CreateViewModal: {
      title: "Create new view",
      label: "Name",
      cancel: "Cancel",
      create: "Create view",
      errors: {
        sameName: "A view with this name already exists. Please choose a different name."
      }
    }
  },
  Tag: {
    ariaLabel: "Remove {children}"
  },
  TextField: {
    characterCount: "{count} characters",
    characterCountWithMaxLength: "{count} of {limit} characters used"
  },
  TooltipOverlay: {
    accessibilityLabel: "Tooltip: {label}"
  },
  TopBar: {
    toggleMenuLabel: "Toggle menu",
    SearchField: {
      clearButtonLabel: "Clear",
      search: "Search"
    }
  },
  MediaCard: {
    dismissButton: "Dismiss",
    popoverButton: "Actions"
  },
  VideoThumbnail: {
    playButtonA11yLabel: {
      "default": "Play video",
      defaultWithDuration: "Play video of length {duration}",
      duration: {
        hours: {
          other: {
            only: "{hourCount} hours",
            andMinutes: "{hourCount} hours and {minuteCount} minutes",
            andMinute: "{hourCount} hours and {minuteCount} minute",
            minutesAndSeconds: "{hourCount} hours, {minuteCount} minutes, and {secondCount} seconds",
            minutesAndSecond: "{hourCount} hours, {minuteCount} minutes, and {secondCount} second",
            minuteAndSeconds: "{hourCount} hours, {minuteCount} minute, and {secondCount} seconds",
            minuteAndSecond: "{hourCount} hours, {minuteCount} minute, and {secondCount} second",
            andSeconds: "{hourCount} hours and {secondCount} seconds",
            andSecond: "{hourCount} hours and {secondCount} second"
          },
          one: {
            only: "{hourCount} hour",
            andMinutes: "{hourCount} hour and {minuteCount} minutes",
            andMinute: "{hourCount} hour and {minuteCount} minute",
            minutesAndSeconds: "{hourCount} hour, {minuteCount} minutes, and {secondCount} seconds",
            minutesAndSecond: "{hourCount} hour, {minuteCount} minutes, and {secondCount} second",
            minuteAndSeconds: "{hourCount} hour, {minuteCount} minute, and {secondCount} seconds",
            minuteAndSecond: "{hourCount} hour, {minuteCount} minute, and {secondCount} second",
            andSeconds: "{hourCount} hour and {secondCount} seconds",
            andSecond: "{hourCount} hour and {secondCount} second"
          }
        },
        minutes: {
          other: {
            only: "{minuteCount} minutes",
            andSeconds: "{minuteCount} minutes and {secondCount} seconds",
            andSecond: "{minuteCount} minutes and {secondCount} second"
          },
          one: {
            only: "{minuteCount} minute",
            andSeconds: "{minuteCount} minute and {secondCount} seconds",
            andSecond: "{minuteCount} minute and {secondCount} second"
          }
        },
        seconds: {
          other: "{secondCount} seconds",
          one: "{secondCount} second"
        }
      }
    }
  }
};
const polarisTranslations = {
  Polaris
};
const polarisStyles = "/assets/styles-DT9i95_b.css";
function loginErrorMessage(loginErrors) {
  if ((loginErrors == null ? void 0 : loginErrors.shop) === LoginErrorType.MissingShop) {
    return { shop: "Please enter your shop domain to log in" };
  } else if ((loginErrors == null ? void 0 : loginErrors.shop) === LoginErrorType.InvalidShop) {
    return { shop: "Please enter a valid shop domain to log in" };
  }
  return {};
}
const links$1 = () => [{ rel: "stylesheet", href: polarisStyles }];
const loader$3 = async ({ request }) => {
  const errors = loginErrorMessage(await login(request));
  return json({ errors, polarisTranslations });
};
const action$1 = async ({ request }) => {
  const errors = loginErrorMessage(await login(request));
  return json({
    errors
  });
};
function Auth() {
  const loaderData = useLoaderData();
  const actionData = useActionData();
  const [shop, setShop] = useState("");
  const { errors } = actionData || loaderData;
  return /* @__PURE__ */ jsx(AppProvider, { i18n: loaderData.polarisTranslations, children: /* @__PURE__ */ jsx(Page, { children: /* @__PURE__ */ jsx(Card, { children: /* @__PURE__ */ jsx(Form, { method: "post", children: /* @__PURE__ */ jsxs(FormLayout, { children: [
    /* @__PURE__ */ jsx(Text, { variant: "headingMd", as: "h2", children: "Log in" }),
    /* @__PURE__ */ jsx(
      TextField,
      {
        type: "text",
        name: "shop",
        label: "Shop domain",
        helpText: "example.myshopify.com",
        value: shop,
        onChange: setShop,
        autoComplete: "on",
        error: errors.shop
      }
    ),
    /* @__PURE__ */ jsx(Button, { submit: true, children: "Log in" })
  ] }) }) }) }) });
}
const route8 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  action: action$1,
  default: Auth,
  links: links$1,
  loader: loader$3
}, Symbol.toStringTag, { value: "Module" }));
const action = async ({ request }) => {
  const { topic, shop, session, admin } = await authenticate.webhook(request);
  if (!admin) {
    throw new Response();
  }
  switch (topic) {
    case "APP_UNINSTALLED":
      if (session) {
        await prisma.session.deleteMany({ where: { shop } });
      }
      break;
    case "CUSTOMERS_DATA_REQUEST":
    case "CUSTOMERS_REDACT":
    case "SHOP_REDACT":
    default:
      throw new Response("Unhandled webhook topic", { status: 404 });
  }
  throw new Response();
};
const route9 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  action
}, Symbol.toStringTag, { value: "Module" }));
const index = "_index_1hqgz_1";
const heading = "_heading_1hqgz_21";
const text = "_text_1hqgz_23";
const content = "_content_1hqgz_43";
const form = "_form_1hqgz_53";
const label = "_label_1hqgz_69";
const input = "_input_1hqgz_85";
const button = "_button_1hqgz_93";
const list = "_list_1hqgz_101";
const styles = {
  index,
  heading,
  text,
  content,
  form,
  label,
  input,
  button,
  list
};
const loader$2 = async ({ request }) => {
  const url = new URL(request.url);
  if (url.searchParams.get("shop")) {
    throw redirect(`/app?${url.searchParams.toString()}`);
  }
  return json({ showForm: Boolean(login) });
};
function App$1() {
  const { showForm } = useLoaderData();
  return /* @__PURE__ */ jsx("div", { className: styles.index, children: /* @__PURE__ */ jsxs("div", { className: styles.content, children: [
    /* @__PURE__ */ jsx("h1", { className: styles.heading, children: "A short heading about [your app]" }),
    /* @__PURE__ */ jsx("p", { className: styles.text, children: "A tagline about [your app] that describes your value proposition." }),
    showForm && /* @__PURE__ */ jsxs(Form, { className: styles.form, method: "post", action: "/auth/login", children: [
      /* @__PURE__ */ jsxs("label", { className: styles.label, children: [
        /* @__PURE__ */ jsx("span", { children: "Shop domain" }),
        /* @__PURE__ */ jsx("input", { className: styles.input, type: "text", name: "shop" }),
        /* @__PURE__ */ jsx("span", { children: "e.g: my-shop-domain.myshopify.com" })
      ] }),
      /* @__PURE__ */ jsx("button", { className: styles.button, type: "submit", children: "Log in" })
    ] }),
    /* @__PURE__ */ jsxs("ul", { className: styles.list, children: [
      /* @__PURE__ */ jsxs("li", { children: [
        /* @__PURE__ */ jsx("strong", { children: "Product feature" }),
        ". Some detail about your feature and its benefit to your customer."
      ] }),
      /* @__PURE__ */ jsxs("li", { children: [
        /* @__PURE__ */ jsx("strong", { children: "Product feature" }),
        ". Some detail about your feature and its benefit to your customer."
      ] }),
      /* @__PURE__ */ jsxs("li", { children: [
        /* @__PURE__ */ jsx("strong", { children: "Product feature" }),
        ". Some detail about your feature and its benefit to your customer."
      ] })
    ] })
  ] }) });
}
const route11 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: App$1,
  loader: loader$2
}, Symbol.toStringTag, { value: "Module" }));
const loader$1 = async ({ request }) => {
  await authenticate.admin(request);
  return null;
};
const route12 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  loader: loader$1
}, Symbol.toStringTag, { value: "Module" }));
const logoIcon = "/assets/logo-BJNs61W7.png";
const settingIcon = "/assets/icon-settings-DHt2ZTHO.png";
const reviewListingIcon = "/assets/icon-review-listing-Cz0iVel8.png";
const instructionIcon = "/assets/icon-instruction-yXdKMMcN.png";
const emailIcon = "/assets/icon-email-CN0suo8l.png";
const generateTitle = (pathname) => {
  switch (pathname) {
    case "/app/upgrade":
      return "Upgrade";
    case "/app/settings":
      return "Settings";
    case "/app/review_listing":
      return "Review Listing";
    case "/app/instruction":
      return "Instruction";
    case "/app/support":
      return "Support";
    case "/app/privacy_policy":
      return "Privacy Policy";
    default:
      return "Dashboard";
  }
};
function Header() {
  const location = useLocation();
  const pageTitle = generateTitle(location.pathname);
  const [isOpen, setIsOpen] = useState(false);
  useEffect(() => {
    document.title = pageTitle;
  }, [pageTitle]);
  const handleToggle = () => {
    setIsOpen(!isOpen);
  };
  return /* @__PURE__ */ jsxs("header", { children: [
    /* @__PURE__ */ jsx("div", { className: "vins-instruction-bar", children: /* @__PURE__ */ jsxs("p", { children: [
      "To customize the color schemes of the review section. Go to theme editor. ",
      /* @__PURE__ */ jsx(Link, { to: "/app/instruction", children: "Click here" }),
      " for detailed instruction."
    ] }) }),
    /* @__PURE__ */ jsxs("div", { className: "vins-header-wrapper", children: [
      /* @__PURE__ */ jsx("div", { className: "vins-logo-wrapper", children: /* @__PURE__ */ jsxs(Link, { to: "/app", children: [
        /* @__PURE__ */ jsx("img", { src: logoIcon, alt: "logo", title: "Logo" }),
        /* @__PURE__ */ jsx("span", { children: "Reviews" })
      ] }) }),
      /* @__PURE__ */ jsx("h2", { className: "vins-page-title", children: pageTitle }),
      /* @__PURE__ */ jsx("div", { className: "vins-navigations-desktop", children: /* @__PURE__ */ jsx("nav", { children: /* @__PURE__ */ jsxs("ul", { className: "vins-navigation-desktop-menu vins-unstylished-list", children: [
        /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsx(Link, { className: "vins-menu-item vins-button", to: "/app/upgrade", children: "Upgrade" }) }),
        /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsx(Link, { className: "vins-menu-item", to: "/app/settings", children: /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: settingIcon, alt: "Settings Icon", title: "Settings" }) }) }),
        /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsx(Link, { className: "vins-menu-item", to: "/app/review_listing", children: /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: reviewListingIcon, alt: "Review Listing Icon", title: "Review Listing" }) }) }),
        /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsx(Link, { className: "vins-menu-item", to: "/app/instruction", children: /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: instructionIcon, alt: "Instruction Icon", title: "Instruction" }) }) }),
        /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsx(Link, { className: "vins-menu-item", to: "/app/support", children: /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: emailIcon, alt: "Support Icon", title: "Support" }) }) })
      ] }) }) }),
      /* @__PURE__ */ jsx("div", { className: "vins-navigations-mobile", children: /* @__PURE__ */ jsx("div", { className: "vins-hamburger", children: /* @__PURE__ */ jsx("button", { onClick: handleToggle, title: "Menu Open", children: /* @__PURE__ */ jsx(Icon, { source: MenuIcon }) }) }) }),
      isOpen && /* @__PURE__ */ jsxs("div", { className: "vins-mobile-menu", children: [
        /* @__PURE__ */ jsx("button", { className: "vins-hamburger vins-close-icon", onClick: handleToggle, title: "Menu Close", children: /* @__PURE__ */ jsx(Icon, { source: XIcon }) }),
        /* @__PURE__ */ jsx("nav", { children: /* @__PURE__ */ jsxs("ul", { className: "vins-navigation-mobile-menu vins-unstylished-list", children: [
          /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsxs(Link, { className: "vins-menu-item", to: "/app/review_listing", children: [
            /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: reviewListingIcon, alt: "Review Listing Icon", title: "Review Listing" }),
            /* @__PURE__ */ jsx("span", { children: "Review list" })
          ] }) }),
          /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsx(Link, { className: "vins-menu-item vins-button", to: "/app/upgrade", children: "Upgrade" }) }),
          /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsxs(Link, { className: "vins-menu-item", to: "/app/settings", children: [
            /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: settingIcon, alt: "Settings Icon", title: "Settings" }),
            /* @__PURE__ */ jsx("span", { children: "Settings" })
          ] }) }),
          /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsxs(Link, { className: "vins-menu-item", to: "/app/instruction", children: [
            /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: instructionIcon, alt: "Instruction Icon", title: "Instruction" }),
            /* @__PURE__ */ jsx("span", { children: "Instructions" })
          ] }) }),
          /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsxs(Link, { className: "vins-menu-item", to: "/app/support", children: [
            /* @__PURE__ */ jsx("img", { className: "vins-header-icons", src: emailIcon, alt: "Support Icon", title: "Support" }),
            /* @__PURE__ */ jsx("span", { children: "Support" })
          ] }) }),
          /* @__PURE__ */ jsx("li", { children: /* @__PURE__ */ jsx(Link, { className: "vins-menu-item", to: "/app/privacy_policy", children: /* @__PURE__ */ jsx("span", { children: "Privacy Policy" }) }) })
        ] }) })
      ] })
    ] })
  ] });
}
function Footer() {
  return /* @__PURE__ */ jsx("footer", { children: /* @__PURE__ */ jsx(Link, { to: "/app/privacy_policy", children: " Privacy Policy" }) });
}
const links = () => [{ rel: "stylesheet", href: polarisStyles }];
const loader = async ({ request }) => {
  await authenticate.admin(request);
  return json({ apiKey: process.env.SHOPIFY_API_KEY || "" });
};
function App() {
  const { apiKey } = useLoaderData();
  return /* @__PURE__ */ jsxs(AppProvider$1, { isEmbeddedApp: true, apiKey, children: [
    /* @__PURE__ */ jsxs(NavMenu, { children: [
      /* @__PURE__ */ jsx(Link, { to: "/app", rel: "home", children: "Home" }),
      /* @__PURE__ */ jsx(Link, { to: "/app/review_listing", children: "Review Listing" }),
      /* @__PURE__ */ jsx(Link, { to: "/app/upgrade", children: "Upgrade" }),
      /* @__PURE__ */ jsx(Link, { to: "/app/settings", children: "Settings" }),
      /* @__PURE__ */ jsx(Link, { to: "/app/instruction", children: "Instruction" }),
      /* @__PURE__ */ jsx(Link, { to: "/app/support", children: "Support" }),
      /* @__PURE__ */ jsx(Link, { to: "/app/privacy_policy", children: "Privacy Policy" })
    ] }),
    /* @__PURE__ */ jsx(Header, {}),
    /* @__PURE__ */ jsx(Divider, { borderColor: "border" }),
    /* @__PURE__ */ jsx(Outlet, {}),
    /* @__PURE__ */ jsx(Divider, { borderColor: "border" }),
    /* @__PURE__ */ jsx(Footer, {})
  ] });
}
function ErrorBoundary() {
  return boundary.error(useRouteError());
}
const headers = (headersArgs) => {
  return boundary.headers(headersArgs);
};
const route13 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  ErrorBoundary,
  default: App,
  headers,
  links,
  loader
}, Symbol.toStringTag, { value: "Module" }));
const serverManifest = { "entry": { "module": "/assets/entry.client-CHYL2Sh6.js", "imports": ["/assets/components-D2OnJtIr.js"], "css": [] }, "routes": { "root": { "id": "root", "parentId": void 0, "path": "", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/root-CgYX1XS3.js", "imports": ["/assets/components-D2OnJtIr.js"], "css": [] }, "routes/app.privacy_policy": { "id": "routes/app.privacy_policy", "parentId": "routes/app", "path": "privacy_policy", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/app.privacy_policy-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/app.review_listing": { "id": "routes/app.review_listing", "parentId": "routes/app", "path": "review_listing", "index": void 0, "caseSensitive": void 0, "hasAction": true, "hasLoader": true, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/app.review_listing-CZXNwgL1.js", "imports": ["/assets/components-D2OnJtIr.js", "/assets/css-Cca547-0.js", "/assets/SkeletonThumbnail-eZCtCrpz.js", "/assets/Icon-D1ibwNV9.js", "/assets/XIcon.svg-ee9jwYr2.js"], "css": [] }, "routes/app.instruction": { "id": "routes/app.instruction", "parentId": "routes/app", "path": "instruction", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/app.instruction-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/app.settings": { "id": "routes/app.settings", "parentId": "routes/app", "path": "settings", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/app.settings-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/app.support": { "id": "routes/app.support", "parentId": "routes/app", "path": "support", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/app.support-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/app.upgrade": { "id": "routes/app.upgrade", "parentId": "routes/app", "path": "upgrade", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/app.upgrade-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/app._index": { "id": "routes/app._index", "parentId": "routes/app", "path": void 0, "index": true, "caseSensitive": void 0, "hasAction": true, "hasLoader": true, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/app._index-DZnOjwvU.js", "imports": ["/assets/components-D2OnJtIr.js", "/assets/css-Cca547-0.js", "/assets/SkeletonThumbnail-eZCtCrpz.js", "/assets/Divider-BG_fu_y1.js"], "css": [] }, "routes/auth.login": { "id": "routes/auth.login", "parentId": "root", "path": "auth/login", "index": void 0, "caseSensitive": void 0, "hasAction": true, "hasLoader": true, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/route-5xvI66v3.js", "imports": ["/assets/components-D2OnJtIr.js", "/assets/css-Cca547-0.js", "/assets/Icon-D1ibwNV9.js", "/assets/styles-B_jS7ZZy.js"], "css": [] }, "routes/webhooks": { "id": "routes/webhooks", "parentId": "root", "path": "webhooks", "index": void 0, "caseSensitive": void 0, "hasAction": true, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/webhooks-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/service": { "id": "routes/service", "parentId": "root", "path": "service", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": false, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/service-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/_index": { "id": "routes/_index", "parentId": "root", "path": void 0, "index": true, "caseSensitive": void 0, "hasAction": false, "hasLoader": true, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/route-BAGpH-e0.js", "imports": ["/assets/components-D2OnJtIr.js"], "css": ["/assets/route-Qq2qOeDq.css"] }, "routes/auth.$": { "id": "routes/auth.$", "parentId": "root", "path": "auth/*", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": true, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": false, "module": "/assets/auth._-l0sNRNKZ.js", "imports": [], "css": [] }, "routes/app": { "id": "routes/app", "parentId": "root", "path": "app", "index": void 0, "caseSensitive": void 0, "hasAction": false, "hasLoader": true, "hasClientAction": false, "hasClientLoader": false, "hasErrorBoundary": true, "module": "/assets/app-DvGLoXDU.js", "imports": ["/assets/components-D2OnJtIr.js", "/assets/css-Cca547-0.js", "/assets/Icon-D1ibwNV9.js", "/assets/styles-B_jS7ZZy.js", "/assets/XIcon.svg-ee9jwYr2.js", "/assets/Divider-BG_fu_y1.js"], "css": ["/assets/app-DrYZDo6r.css"] } }, "url": "/assets/manifest-57bcc4fb.js", "version": "57bcc4fb" };
const mode = "production";
const assetsBuildDirectory = "build/client";
const basename = "/";
const future = { "v3_fetcherPersist": false, "v3_relativeSplatPath": false, "v3_throwAbortReason": false, "unstable_singleFetch": false };
const isSpaMode = false;
const publicPath = "/";
const entry = { module: entryServer };
const routes = {
  "root": {
    id: "root",
    parentId: void 0,
    path: "",
    index: void 0,
    caseSensitive: void 0,
    module: route0
  },
  "routes/app.privacy_policy": {
    id: "routes/app.privacy_policy",
    parentId: "routes/app",
    path: "privacy_policy",
    index: void 0,
    caseSensitive: void 0,
    module: route1
  },
  "routes/app.review_listing": {
    id: "routes/app.review_listing",
    parentId: "routes/app",
    path: "review_listing",
    index: void 0,
    caseSensitive: void 0,
    module: route2
  },
  "routes/app.instruction": {
    id: "routes/app.instruction",
    parentId: "routes/app",
    path: "instruction",
    index: void 0,
    caseSensitive: void 0,
    module: route3
  },
  "routes/app.settings": {
    id: "routes/app.settings",
    parentId: "routes/app",
    path: "settings",
    index: void 0,
    caseSensitive: void 0,
    module: route4
  },
  "routes/app.support": {
    id: "routes/app.support",
    parentId: "routes/app",
    path: "support",
    index: void 0,
    caseSensitive: void 0,
    module: route5
  },
  "routes/app.upgrade": {
    id: "routes/app.upgrade",
    parentId: "routes/app",
    path: "upgrade",
    index: void 0,
    caseSensitive: void 0,
    module: route6
  },
  "routes/app._index": {
    id: "routes/app._index",
    parentId: "routes/app",
    path: void 0,
    index: true,
    caseSensitive: void 0,
    module: route7
  },
  "routes/auth.login": {
    id: "routes/auth.login",
    parentId: "root",
    path: "auth/login",
    index: void 0,
    caseSensitive: void 0,
    module: route8
  },
  "routes/webhooks": {
    id: "routes/webhooks",
    parentId: "root",
    path: "webhooks",
    index: void 0,
    caseSensitive: void 0,
    module: route9
  },
  "routes/service": {
    id: "routes/service",
    parentId: "root",
    path: "service",
    index: void 0,
    caseSensitive: void 0,
    module: route10
  },
  "routes/_index": {
    id: "routes/_index",
    parentId: "root",
    path: void 0,
    index: true,
    caseSensitive: void 0,
    module: route11
  },
  "routes/auth.$": {
    id: "routes/auth.$",
    parentId: "root",
    path: "auth/*",
    index: void 0,
    caseSensitive: void 0,
    module: route12
  },
  "routes/app": {
    id: "routes/app",
    parentId: "root",
    path: "app",
    index: void 0,
    caseSensitive: void 0,
    module: route13
  }
};
export {
  serverManifest as assets,
  assetsBuildDirectory,
  basename,
  entry,
  future,
  isSpaMode,
  mode,
  publicPath,
  routes
};
