$(document).ready(function () {
    $("body").prepend("<div class=\"vins_loader\"></div>");
    let storeId = $('.vins_review_details').attr('shop_id');
    let productId = $('.vins_review_details').attr('product_id');
    let limit = parseInt($('.vins_customize_fields').attr('reviews_limit'));
    let product_avg_rating;
    let ProductStatistics;
    let today = moment();
    let currentDate = today.format("DD-MM-YYYY HH:mm:ss");
    let pastDate = today.subtract(30, 'days');
    let fromDate = pastDate.format("DD-MM-YYYY HH:mm:ss");
    let StoreTotalReviewsCount;
    let StoreTotalReviews = {
        storeId: storeId,
        fromDate: fromDate,
        toDate: currentDate,
        call: 'getTotalReviewsCountForStore'
    };
    StoreTotalReviewsCount = reviewFunctionCall(StoreTotalReviews);
    if(StoreTotalReviewsCount.total_count < 1000){
        $('.vins_review_btn_block').removeClass('vins_disabled_container');
        $('.vins_btn_post_review').removeClass('vins_disabled_element');
        $('.vins_btn_submit_review').removeClass('vins_btn_review_hide');
    } else {
        $('.vins_btn_submit_review').remove();
    }
    let ProductStatisticsInput = {
        storeId: storeId,
        productId: productId,
        call: 'getProductStatistics'
    };
    ProductStatistics = reviewFunctionCall(ProductStatisticsInput);
    product_avg_rating = ProductStatistics.averageRating;
    productTotalReviews = ProductStatistics.totalReviews;
    let totalProductCall = 'getAllProducts';
        let getReviewInput = [];
        let getReviewResult;
        getReviewInput = {
            storeId: storeId,
            productId: productId,
            dateSort: 1,
            dateSortOrder: 0,
            page: 1,
            limit: limit,
            call: 'get_review'
        };
        getReviewResult = reviewFunctionCall(getReviewInput);
        reviewContentUpdate(getReviewResult, product_avg_rating, totalProductCall);
        let pageNum = 1;
        pagination(pageNum, productTotalReviews, limit);
    $('.vins_btn_post_review').on('click', function () {
        if ($('.vins_review_details').attr('customer_id')) {
            $('.vins_review_content_popup').fadeIn();
            $('.vins_review_content_popup').css('display', 'block');
            $('.vins_review_btn_container').css('display', 'none');
        } else {
            let account_url = $(".vins_account_login_url").val();
            Swal.fire({
                html: "Please <a class=\"vins_account_url\" href=" + account_url + ">Login</a> here to post reviews.",
                icon: "info"
            });
        }
    });
    $(document).on('click', 'input[name="vins_rdo_ratings"]', function () {
        $(this).siblings('label').text("☆");
        for (let i = 1; i <= $(this).val(); i++) {
            $('.vins-label-' + i).text("★");
        }
    });
    $('#vins-reviews-filter-by').change(function name() {
        let filtersBy = $(this).val();
        let sortBy = $('#vins-reviews-sort-by option').filter(':selected').val();
        let dateSort;
        let dateSortOrder;
        let starSort;
        let starSortOrder;
        if (sortBy != '') {
            if (sortBy == 'rating-desc') {
                starSort = 1; starSortOrder = 0; dateSort = 0; dateSortOrder = 0;
            } else if (sortBy == 'rating-asc') {
                starSort = 1; starSortOrder = 1; dateSort = 0; dateSortOrder = 0;
            } else if (sortBy == 'date-desc') {
                dateSort = 1; dateSortOrder = 0; starSort = 0; starSortOrder = 0;
            } else if (sortBy == 'date-asc') {
                dateSort = 1; dateSortOrder = 1; starSort = 0; starSortOrder = 0;
            }
        }
        let getProductsFilterCall = 'getProductsFilterBy';
        getFilterByReviewsInput = {
            storeId: storeId,
            productId: productId,
            filtersBy: filtersBy,
            starSort: starSort,
            starSortOrder: starSortOrder,
            dateSortOrder: dateSortOrder,
            dateSort: dateSort,
            page: 1,
            limit: limit,
            call: 'get_review'
        };
        getFilterByReviews = reviewFunctionCall(getFilterByReviewsInput);
        reviewContentUpdate(getFilterByReviews, product_avg_rating, getProductsFilterCall);
        pagination(1, getFilterByReviews.total_reviews, limit);
    });
    $('#vins-reviews-sort-by').change(function name() {
        let sortBy = $(this).val();
        let filtersBy = $('#vins-reviews-filter-by option').filter(':selected').val();
        let dateSort;
        let dateSortOrder;
        let starSort;
        let starSortOrder;
        if (sortBy == 'rating-desc') {
            starSort = 1; starSortOrder = 0; dateSort = 0; dateSortOrder = 0;
        } else if (sortBy == 'rating-asc') {
            starSort = 1; starSortOrder = 1; dateSort = 0; dateSortOrder = 0;
        } else if (sortBy == 'date-desc') {
            dateSort = 1; dateSortOrder = 0; starSort = 0; starSortOrder = 0;
        } else if (sortBy == 'date-asc') {
            dateSort = 1; dateSortOrder = 1; starSort = 0; starSortOrder = 0;
        }
        productsSortByCall = 'getProductsSortBy';
        getSortByReviewsInput = {
            storeId: storeId,
            productId: productId,
            filtersBy: filtersBy,
            starSort: starSort,
            starSortOrder: starSortOrder,
            dateSortOrder: dateSortOrder,
            dateSort: dateSort,
            page: 1,
            limit: limit,
            call: 'get_review'
        };
        getproductsSortBy = reviewFunctionCall(getSortByReviewsInput);
        reviewContentUpdate(getproductsSortBy, product_avg_rating, productsSortByCall);
        $(".vins_loader").css("display", "none");
        pagination(1, getproductsSortBy.total_reviews, limit);
    });
    $('.vins_btn_frm_cancel').on('click', function () {
        $('input[name="vins_rdo_ratings"]:checked').prop('checked', false);
        $('input[name="vins_rdo_ratings"]').siblings('label').text("☆");
        $('textarea[name="vins_review"]').val('');
        $('.vins_review_title_input').val('');
        $("html, body").animate({ scrollTop: $('#vins_review_container').offset().top - $('header').outerHeight() }, "slow");
        $('#vins_switch_yes').prop('checked', true);
        $('.vins_required').css('display', 'none');
        $('.vins_review_content_popup').css('display', 'none');
        $('.vins_review_btn_container').css('display', 'flex');
    });
    $('#vins_frm_review_popup').submit(function (event) {
        event.preventDefault();
        $('.vins_required').css('display', 'none');
        $(".vins_loader").css("display", "block");
        let productId = $('.vins_review_details').attr('product_id');
        let customerName = $('.vins_review_details').attr('customer_name');
        let customerEmail = $('.vins_review_details').attr('customer_email');
        let customerId = $('.vins_review_details').attr('customer_id');
        let recommendproduct = $('input[name="vins_recommend_product"]:checked').val();
        if (recommendproduct == 'true') {
            recommendproduct = true;
        } else {
            recommendproduct = false;
        }
        let PlanDetailsForStoreCount;
        let PlanDetailsForStore = {
            storeId: storeId,
            call: 'getPlanDetailsForStore'
        };
        console.log(PlanDetailsForStoreCount, 'PlanDetailsForStoreCount');
        PlanDetailsForStoreCount = reviewFunctionCall(PlanDetailsForStore);
        let reviewTitle = $('.vins_review_title_input').val();
        let fileUrls = Array();
        let starCount = $('input[name="vins_rdo_ratings"]:checked').val();
        let reviewText = $('textarea[name="vins_review"]').val();
        if (starCount && reviewText && (recommendproduct == true || recommendproduct == false) && reviewTitle) {
            if (recommendproduct == true) {
                Swal.fire({
                    text: "Are you sure want to recommend this product to other buyers?",
                    iconHtml: `<div class="vins_recommend_icon_swal">` + recommendIcon + `</div>`,
                    showCancelButton: true,
                    confirmButtonText: `Yes`,
                    cancelButtonText: `Cancel`,
                }).then((result) => {
                    if (result.isConfirmed) {
                        if(StoreTotalReviewsCount.total_count <= PlanDetailsForStoreCount.reviews_limit ){
                            addReviewFunction(storeId, fileUrls, starCount, reviewText, productId, customerId, customerEmail, customerName, recommendproduct, reviewTitle);
                        } else {
                            $(".vins_loader").css("display", "none");
                            return false;
                        }
                    } else {
                        $(".vins_loader").css("display", "none");
                        return false;
                    }
                });
            } else {
                if(StoreTotalReviewsCount.total_count <=  PlanDetailsForStoreCount.reviews_limit){
                    addReviewFunction(storeId, fileUrls, starCount, reviewText, productId, customerId, customerEmail, customerName, recommendproduct, reviewTitle);
                } else {
                    $(".vins_loader").css("display", "none");
                    return false;
                }
            }
        } else {
            $(".vins_loader").css("display", "none");
            $("html, body").animate({ scrollTop: $('#vins_review_container').offset().top - $('header').outerHeight() }, "slow");
            if (!reviewTitle || !reviewText) {
                $('.vins_required_field').each(function () {
                    if ($(this).val() == '') {
                        if (!$(this).siblings().find('.vins_required_symbol').text().toLowerCase().trim().includes('required')) {
                            $(this).siblings().find('.vins_required_symbol').append(' <span class="vins_required">Required</span>');
                        } else {
                            $(this).siblings().find('.vins_required_symbol .vins_required').css('display', 'inline-block');
                        }
                    }
                });
            }
            if (!starCount || !recommendproduct) {
                $('.vins_star_ratings_title').each(function () {
                    if ($(this).siblings().find('input[type="radio"]:checked').length <= 0) {
                        if (!$(this).text().toLowerCase().trim().includes('required')) {
                            $(this).append(' <span class="vins_required">Required</span>');
                        } else {
                            $(this).find('.vins_required').css('display', 'inline-block');
                        }
                    }
                })
            }
        }
        if (!$('.vins_review_content_popup').is(":visible")) {
            $('.vins_review_btn_container').css('display', 'flex');
            $(".vins_loader").css("display", "none");
        }
    });
    let previousPage;
    $(document).on('click', '.vins_pagination_number', function () {
        $("html, body").animate({ scrollTop: $('#vins-product-reviews-section').offset().top - $('header').outerHeight() }, "slow");
        let currentPageNum = $(this).attr('page_data');
        $('.vins_pagination_single').removeClass('vins_current_page');
        $('#vins_page_num_' + currentPageNum).addClass('vins_current_page');
        let totalPages;
        if(productTotalReviews > limit){
            totalPages = Math.ceil( productTotalReviews / limit);
        } else {
            totalPages = 1;
        }
        let nextPage = currentPageNum;
        let prevPage = currentPageNum;
        if (currentPageNum == 1) {
            $('.vins_pagination_single.vins_prev').addClass('vins_disabled');
        } else {
            $('.vins_pagination_single.vins_prev').removeClass('vins_disabled')
            prevPage = parseInt(currentPageNum) - 1;
        }
        if (currentPageNum == totalPages) {
            $('.vins_pagination_single.vins_next').addClass('vins_disabled');
        } else {
            $('.vins_pagination_single.vins_next').removeClass('vins_disabled');
        }
        if (currentPageNum < totalPages) {
            nextPage = parseInt(currentPageNum) + 1;
        }
        $('.vins_pagination_single.vins_next').attr('id', 'vins_page_next_' + nextPage);
        $('.vins_pagination_single.vins_prev').attr('id', 'vins_page_prev_' + prevPage);
        if (previousPage != currentPageNum && currentPageNum >= 1) {
            let filtersBy = $('#vins-reviews-filter-by option').filter(':selected').val();
            let sortBy = $('#vins-reviews-sort-by option').filter(':selected').val();
            let dateSort;
            let dateSortOrder;
            let starSort;
            let starSortOrder;
            if (sortBy != '') {
                if (sortBy == 'rating-desc') {
                    starSort = 1; starSortOrder = 0; dateSort = 0; dateSortOrder = 0;
                } else if (sortBy == 'rating-asc') {
                    starSort = 1; starSortOrder = 1; dateSort = 0; dateSortOrder = 0;
                } else if (sortBy == 'date-desc') {
                    dateSort = 1; dateSortOrder = 0; starSort = 0; starSortOrder = 0;
                } else if (sortBy == 'date-asc') {
                    dateSort = 1; dateSortOrder = 1; starSort = 0; starSortOrder = 0;
                }
            }
            let getPaginationReviews;
            let getPaginationReviewsCall = 'getProductsPagination';
            getPaginationReviewInput = {
                storeId: storeId,
                productId: productId,
                filtersBy: filtersBy,
                starSort: starSort,
                starSortOrder: starSortOrder,
                dateSortOrder: dateSortOrder,
                dateSort: dateSort,
                page: currentPageNum,
                limit: limit,
                call: 'get_review'
            };
            getPaginationReviews = reviewFunctionCall(getPaginationReviewInput);
            reviewContentUpdate(getPaginationReviews, product_avg_rating, getPaginationReviewsCall);
            pagination(currentPageNum, getPaginationReviews.total_reviews, limit);
        }
        previousPage = currentPageNum;
    });
    $(document).on('click', '.vins_pagination_arrow', function () {
        $("html, body").animate({ scrollTop: $('#vins-product-reviews-section').offset().top - $('header').outerHeight() }, "slow");
        let prevPageNum = $('.vins_current_page').attr('page_data');
        let totalPages;
        if(productTotalReviews > limit){
            totalPages = Math.ceil( productTotalReviews / limit);
        } else {
            totalPages = 1;
        }
        $('.vins_pagination_single').removeClass('vins_current_page');
        let currentPageNum;
        if ($(this).is('.vins_next')) {
            currentPageNum = parseInt(prevPageNum) + 1;
        } else if ($(this).is('.vins_prev')) {
            currentPageNum = parseInt(prevPageNum) - 1;
        }
        if (currentPageNum == 1) {
            $('.vins_pagination_single.vins_prev').addClass('vins_disabled');
        } else {
            $('.vins_pagination_single.vins_prev').removeClass('vins_disabled')
            prevPage = parseInt(currentPageNum) - 1;
        }
        if (currentPageNum == totalPages) {
            $('.vins_pagination_single.vins_next').addClass('vins_disabled');
        } else {
            $('.vins_pagination_single.vins_next').removeClass('vins_disabled');
        }
        $('#vins_page_num_' + currentPageNum).addClass('vins_current_page');
        let filtersBy = $('#vins-reviews-filter-by option').filter(':selected').val();
        let sortBy = $('#vins-reviews-sort-by option').filter(':selected').val();
        let dateSort;
        let dateSortOrder;
        let starSort;
        let starSortOrder;
        if (sortBy != '') {
            if (sortBy == 'rating-desc') {
                starSort = 1; starSortOrder = 0; dateSort = 0; dateSortOrder = 0;
            } else if (sortBy == 'rating-asc') {
                starSort = 1; starSortOrder = 1; dateSort = 0; dateSortOrder = 0;
            } else if (sortBy == 'date-desc') {
                dateSort = 1; dateSortOrder = 0; starSort = 0; starSortOrder = 0;
            } else if (sortBy == 'date-asc') {
                dateSort = 1; dateSortOrder = 1; starSort = 0; starSortOrder = 0;
            }
        }
        let getPageReviews;
        let getPageReviewsCall = 'getProductsPagination';
        getPageReviewInput = {
            storeId: storeId,
            productId: productId,
            filtersBy: filtersBy,
            starSort: starSort,
            starSortOrder: starSortOrder,
            dateSortOrder: dateSortOrder,
            dateSort: dateSort,
            page: currentPageNum,
            limit: limit,
            call: 'get_review'
        };
        getPageReviews = reviewFunctionCall(getPageReviewInput);
        reviewContentUpdate(getPageReviews, product_avg_rating, getPageReviewsCall);
        pagination(currentPageNum, getPageReviews.total_reviews, limit);
    });
    function addReviewFunction(storeId, fileUrls, starCount, reviewText, productId, customerId, customerEmail, customerName, recommendproduct, reviewTitle){
            $.ajax({
                url: "https://shopifydev.vinsinfo.in/ShopifyReviewApp/review_functions.php",
                async: false,
                type: 'POST',
                headers: {
                    "Accept": "application/json"
                },
                data: { storeId, fileUrls, starCount, reviewText, productId, userId: customerId, call: 'add_review', customerEmail, customerName, recommendproduct, reviewTitle },
                dataType: "json",
                crossDomain: true,
                success: function (data) {
                    let responseBody = JSON.parse(data.body)
                    $(".vins_loader").css("display", "none");
                    if (responseBody.error) {
                        if (responseBody.error.toLowerCase().trim().includes('review exists')) {
                            Swal.fire({
                                text: "You have already shared review for this product!",
                                icon: "info"
                            });
                        } else {
                            Swal.fire({
                                text: "Something went wrong! Please try again or later.",
                                icon: "info"
                            });
                        }
                        $('input[name="vins_rdo_ratings"]:checked').prop('checked', false);
                        $('input[name="vins_rdo_ratings"]').siblings('label').text("☆");
                        $('textarea[name="vins_review"]').val('');
                        $('.vins_review_title_input').val('');
                        $('#vins_switch_yes').prop('checked', true);
                    } else {
                        if (data.status_code == 200) {
                            Swal.fire({
                                text: "Thank you for your valuable feedback! Your review has been submitted successfully.",
                                icon: "success"
                            }).then(function () {
                                window.location.reload();
                            });
                        }
                    }
                }
            });
    }
    function pagination(page, totalItems, limit) {
        let adjacents = 5;
        let pagination = "";
        let lastpage = Math.ceil(totalItems / limit);
        if (lastpage > 1) {
            let currentPage = parseInt(page) || 1;
            let disabled ;
            if(currentPage == 1){
                disabled = ' vins_disabled';
        } else {
            disabled = '';
        }
        pagination += `<li class="vins_pagination_single vins_pagination_arrow vins_prev${disabled}" page_data ="${currentPage}" id="vins_page_prev_${currentPage}">` + paginationIcon + `</li>`;
    
            if (lastpage <= adjacents) {
                for (let counter = 1; counter <= lastpage; counter++) {
                pagination += `<li class="vins_pagination_single vins_pagination_number${currentPage === counter ? ' vins_current_page' : ''}" page_data ="${counter}" id ="vins_page_num_${counter}">${counter}</li>`;
                }
            } else {
                let start, end;
                if (currentPage <= adjacents) {
                    start = currentPage;
                    if(currentPage >= lastpage - adjacents){
                        end = lastpage;
                    } else {
                        end = currentPage + adjacents;
                    }
                } else if (adjacents > (lastpage - currentPage)) {
                    start = lastpage - adjacents + 1;
                    end = lastpage + 1;
                } else {
                    start = currentPage - Math.floor(adjacents / 2);
                    end = currentPage + Math.floor(adjacents / 2) + 1;
                }
                if (start < 1) start = 1;
                if (end > lastpage + 1) end = lastpage + 1;
                for (let counter = start; counter < end; counter++) {
                    pagination += `<li class="vins_pagination_single vins_pagination_number${currentPage === counter ? ' vins_current_page' : ''}" page_data="${counter}" id="vins_page_num_${counter}">${counter}</li>`;
                }
            }
            let nextDisabled ;
            if(currentPage == lastpage){
                nextDisabled = ' vins_disabled';
            }  else {
                nextDisabled = '';
            }
            pagination += `<li class="vins_pagination_single vins_pagination_arrow vins_next${nextDisabled}" page_data ="${currentPage}" id="vins_page_next_${currentPage}">${paginationIcon}</li>`;
        }
        $('.vins-pagination').html(pagination);
    }
    function reviewFunctionCall(data) {
        let response;
        $.ajax({
            url: "https://shopifydev.vinsinfo.in/ShopifyReviewApp/review_functions.php",
            async: false,
            type: 'POST',
            data: data,
            dataType: "json",
            crossDomain: true,
            success: function (result) {
                response = result;
            },
            error: function (error) {
                response = error;
            }
        });
        return response;
    }
    function reviewContentUpdate(response, product_avg_rating, callType) {
        let reviews = response.reviews;
        let reviews_length = response.total_reviews;
        if (reviews_length > 0) {
            $('.vins-review-filters-container').removeClass('vins_hide_element');
            $(reviews).each(function (index, review) {
                let reviewText = review.reviewText;
                let reviewTitle = review.reviewTitle;
                let recommendProduct = review.recommendProduct;
                let userName = review.name;
                let starCount = review.starCount;
                let date = review.date;
                let dateConversion = new Date(date);
                let utcDate = dateConversion.toISOString();
                let utcTimestamp = utcDate.toLocaleString('en-US', { timeZone: 'America/New_York' });
                let formattedDate = moment(utcTimestamp).format('MM/DD/YYYY');
                let recommendProductContent;
                if (recommendProduct == 1) {
                    recommendProductContent = `<div class="vins-recommend-product" title="This customer highly recommends buying this product.">` + recommendIcon + `</div>`;
                } else {
                    recommendProductContent = '';
                }
                if (callType == 'getProductsFilterBy' || callType == 'getProductsSortBy' || callType == 'getProductsPagination') {
                    if (index == 0) {
                        $('.vins-reviews-display-container').text('');
                    }
                }
                $(".vins-product-reviews-section .vins-reviews-display-container").append(`<div class="vins-review-display-section"><div class="vins-reviews-display"><div class="vins-reviewer-icon"><svg version="1.1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 600 600" width="40" height="40" fill="#8D99B6" class="vins-anonymous-user-icon"><title>User icon</title><defs><clipPath id="circular-border-0.1046138034132238"><circle cx="300" cy="300" r="250"></circle></clipPath></defs><circle cx="300" cy="300" r="280" fill="#CCD2E1"></circle><circle cx="300" cy="230" r="100"></circle><circle cx="300" cy="550" r="190" clip-path="url(#circular-border-0.1046138034132238)"></circle></svg></div><div class="vins-review-content"><div class="vins-reviewer-details"><div class="vins-review-user-name">` + userName + `</div>` + recommendProductContent + `</div><div class="vins-star-container"><div class="vins-stars-landing" id="vins-stars-box" style="--rating: ` + starCount + `;">☆☆☆☆☆</div></div><div class="vins-review-title">` + reviewTitle + `</div><div class="vins-review-text">` + reviewText + `</div><div class="vins-review-date">` + formattedDate + `</div></div></div></div>`);
            });
        } else {
            $('.vins-reviews-display-container').text('');
            if(callType == 'getAllProducts'){
                $('.vins_reviews_heading').addClass('vins_no_review_heading');
                $('.vins_first_review_container').prepend('<div class="vins_first_review_title">FIRST ONE TO CRAFT A REVIEW</div>');
            } else {
                $('.vins-reviews-display-container').append('<div class="vins_no_reviews_container">No matching reviews found.</div>');
            }
        }
        if ($(".vins_rating_section .vins_reviews_title").siblings('.vins_star_rating').length < 1) {
            if (reviews_length == undefined) {
                reviews_length = 0;
            }
            let reviews_txt = "Reviews";
            if (reviews_length == 1) {
                reviews_txt = "Review";
            }
            if(product_avg_rating == undefined || product_avg_rating == 0){
                product_avg_rating = 0;
            } else {
                product_avg_rating = product_avg_rating.toFixed(1);
            }
            $(".vins_rating_section .vins_reviews_title").after("<div class=\"vins_star_rating\" style=\"color: var(--color)\";><span style=\"font-size: var(--star-size);\">" + product_avg_rating + "</span><span class=\"vins-stars-landing\" style=\"--rating: " + product_avg_rating + ";\">☆☆☆☆☆ </span><span>" + reviews_length + " " + reviews_txt.toUpperCase() + "</a></div>");
            if (reviews_length >= 1) {
                $('.vins-review-count').text(reviews_length + " " + reviews_txt.toUpperCase());
            }
        }
    }
    $.fn.extend({
        equalHeights: function () {
            var top = 0;
            var row = [];
            var className = ("equalHeights" + Math.random()).replace(".", "");
            $(this)
                .each(function () {
                    var thistop = $(this).offset().top;
                    if (thistop > top) {
                        $("." + className).removeClass(className);
                        top = thistop;
                    }
                    $(this).addClass(className);
                    $(this).innerHeight("auto");
                    var h = Math.max.apply(
                        null,
                        $("." + className)
                            .map(function () {
                                return $(this).outerHeight();
                            })
                            .get()
                    );
                    $("." + className).innerHeight(h);
                })
                .removeClass(className);
        },
    });
    $(".vins-reviews-display").equalHeights();
    $(".vins-review-text").equalHeights();
    $(".vins-review-title").equalHeights();
    $(".vins-reviewer-details").equalHeights();
});
$(window).on("scroll resize", function () {
    $(".vins-reviews-display").equalHeights();
    $(".vins-review-text").equalHeights();
    $(".vins-review-title").equalHeights();
    $(".vins-reviewer-details").equalHeights();
});